︠47c76d84-4a08-4973-8704-4a83191aee19s︠
#Notation :
#a, b : Partitions
#m, n : dimensions of the rectangle
#t    : list of partitions
import sage.libs.lrcalc.lrcalc as lrcalc
import numpy
def co(a,m,n):    #GIVES COMPLEMENT OF PARTITION 'a'
    c=a.length()
    d=[]
    e=a.to_list()
    for i in range(m-c):
        e.append(0)
    for i in e:
        d.append(n-i)
    d.reverse()
    return Partition(d)  

def add(a,b):       #RETURNS ADDITION OF TWO PARTITIONS 'a' and 'b'
    a1=a.to_list()
    b1=b.to_list()
    al=a.length()
    bl=b.length()
    c=max(al,bl)
    if al!=bl:
        if c==al:
            for i in range(al-bl):
                b1.append(0)
        else:
            for i in range(bl-al):
                a1.append(0)
    return Partition([a1[i]+b1[i] for i in range(c)])

#def sort(a,b):      #SORTS A PARTITION
#	c=a.to_list()+b.to_list()
#	c.sort()
#	c.reverse()
#	return Partition(c)
s = SymmetricFunctions(QQ).s()
def supp(a,m,n):
    return sorted((s(Partition(a))*s(co(Partition(a),m,n))).support())

def mix(a,m,n):      #RETURNS SORTED UNION OF PARTIION 'a' AND IT'S COMPLEMENT
	return add(a.conjugate(),co(a,m,n).conjugate()).conjugate()

def li(m,n):       #RETURNS THE LIST OF ALL PARTITIONS IN RECTANGLE m*n
    d=[]
    for j in range(m*n/2-1):
        for i in Partitions(j+1,max_part=n,max_length=m):
            d.append(i)
    for i in Partitions(int(m*n/2),max_part=n,max_length=m):
        if co(i,m,n) not in d:
                d.append(i)
    return d

def sdif(a,b,m,n):      #RETURNS THE PARTITIONS THAT ARE IN SUPPORT OF 'a' BUT NOT IN SUPPORT OF 'b'
    d=[]
    a=Partition(a)
    b=Partition(b)
    for i in lrcalc.mult(a,co(a,m,n)):
        if lrcalc.lrcoef(i,b,co(b,m,n))==0:
            d.append(i)
    return sorted(d)

def rem(t,a,m,n):       #RETURNS THE PARTITIONS IN 't' THAT ARE NOT IN THE SUPPORT OF 'a'
    a=Partition(a)
    for i in t:
        if lrcalc.lrcoef(Partition(i),a,co(a,m,n))>0:
            t.remove(i)
    return sorted(t)

def giv(m,n,z):           #RETURNS ALL THE EQUIVALENCE CLASSES OF PARTITIONS IN RECTANGLE m*n
    d=[]
    a=li(m,n)
    for i in a:
        c=set()
        for j in a:
            if add(i,co(i,m,n))==add(j,co(j,m,n)) and mix(i,m,n)==mix(j,m,n):
                a.remove(j)
                c.add(j)
        if len(c)>z:        #IF YOU WANT TO SEE ONLY EQUIVALENCE CLASSES OF SIZE > k, THEN REPLACE 0 BY k IN THIS LINE
            d.append(c)
    return d

def new(m,n):
    for i in li(m,n):
        if len(i)==m and i[0]==n:
            print i
        elif len(i)<m and i[0]<m:
            print co(i,m,n)

from sage.libs.lrcalc.lrcalc import lrskew
def pp(a,b):
    for c in (s(a)*s(b)).support():
        for st in lrskew(c,a,weight=b):
            st.pp()

1+1
︡43ce0cb0-9e03-45e3-9773-c1d85f25e768︡{"stdout":"2\n"}︡{"done":true}︡
︠ade406c7-f03a-4979-aa1b-bf19353f7b9ds︠

︡4834d114-e788-47a1-a4a7-72b2c5a03f23︡{"done":true}︡
︠2560eaca-1dda-4ba0-be1d-c6eb82448c36s︠
s([3,3,1])*s([4,2,2])
︡84231164-ab43-4765-ab76-6e9227f7edf1︡{"stdout":"s[4, 3, 3, 2, 2, 1] + s[4, 3, 3, 3, 2] + s[4, 4, 3, 2, 1, 1] + s[4, 4, 3, 2, 2] + s[4, 4, 3, 3, 1] + s[4, 4, 4, 1, 1, 1] + s[4, 4, 4, 2, 1] + s[5, 3, 2, 2, 2, 1] + s[5, 3, 3, 2, 1, 1] + 2*s[5, 3, 3, 2, 2] + s[5, 3, 3, 3, 1] + s[5, 4, 2, 2, 1, 1] + s[5, 4, 2, 2, 2] + s[5, 4, 3, 1, 1, 1] + 3*s[5, 4, 3, 2, 1] + s[5, 4, 3, 3] + 2*s[5, 4, 4, 1, 1] + s[5, 4, 4, 2] + s[5, 5, 2, 2, 1] + s[5, 5, 3, 1, 1] + 2*s[5, 5, 3, 2] + 2*s[5, 5, 4, 1] + s[5, 5, 5] + s[6, 3, 2, 2, 1, 1] + s[6, 3, 2, 2, 2] + 2*s[6, 3, 3, 2, 1] + s[6, 3, 3, 3] + s[6, 4, 2, 1, 1, 1] + 2*s[6, 4, 2, 2, 1] + 2*s[6, 4, 3, 1, 1] + 2*s[6, 4, 3, 2] + s[6, 4, 4, 1] + s[6, 5, 2, 1, 1] + s[6, 5, 2, 2] + 2*s[6, 5, 3, 1] + s[6, 5, 4] + s[7, 3, 2, 2, 1] + s[7, 3, 3, 2] + s[7, 4, 2, 1, 1] + s[7, 4, 2, 2] + s[7, 4, 3, 1] + s[7, 5, 2, 1] + s[7, 5, 3]\n"}︡{"done":true}︡
︠79d9e48c-0c60-4c3f-95ec-b2b64cd568b7s︠
s([4,3])*s([5,2,1])
︡b8633eb7-d5f5-4386-be24-82dae6513f44︡{"stdout":"s[5, 4, 3, 2, 1] + s[5, 4, 4, 1, 1] + s[5, 4, 4, 2] + s[5, 5, 3, 1, 1] + s[5, 5, 3, 2] + 2*s[5, 5, 4, 1] + s[5, 5, 5] + s[6, 3, 3, 2, 1] + s[6, 4, 2, 2, 1] + 2*s[6, 4, 3, 1, 1] + 2*s[6, 4, 3, 2] + 2*s[6, 4, 4, 1] + s[6, 5, 2, 1, 1] + s[6, 5, 2, 2] + 3*s[6, 5, 3, 1] + 2*s[6, 5, 4] + s[6, 6, 2, 1] + s[6, 6, 3] + s[7, 3, 2, 2, 1] + s[7, 3, 3, 1, 1] + s[7, 3, 3, 2] + 2*s[7, 4, 2, 1, 1] + 2*s[7, 4, 2, 2] + 3*s[7, 4, 3, 1] + s[7, 4, 4] + s[7, 5, 1, 1, 1] + 3*s[7, 5, 2, 1] + 2*s[7, 5, 3] + s[7, 6, 1, 1] + s[7, 6, 2] + s[8, 3, 2, 1, 1] + s[8, 3, 2, 2] + s[8, 3, 3, 1] + s[8, 4, 1, 1, 1] + 3*s[8, 4, 2, 1] + s[8, 4, 3] + 2*s[8, 5, 1, 1] + 2*s[8, 5, 2] + s[8, 6, 1] + s[9, 3, 2, 1] + s[9, 4, 1, 1] + s[9, 4, 2] + s[9, 5, 1]\n"}︡{"done":true}︡
︠4c822c5e-eed4-4e09-be6c-43c2f38368c7s︠
s([3,3])*s([5,2,2])
︡4149ba80-640f-4f59-b878-c06c959ad570︡{"stdout":"s[5, 3, 3, 2, 2] + s[5, 4, 3, 2, 1] + s[5, 4, 4, 1, 1] + s[5, 5, 3, 2] + s[5, 5, 4, 1] + s[5, 5, 5] + s[6, 3, 2, 2, 2] + s[6, 3, 3, 2, 1] + s[6, 4, 2, 2, 1] + s[6, 4, 3, 1, 1] + s[6, 4, 3, 2] + s[6, 4, 4, 1] + s[6, 5, 2, 2] + s[6, 5, 3, 1] + s[6, 5, 4] + s[7, 3, 2, 2, 1] + s[7, 3, 3, 2] + s[7, 4, 2, 1, 1] + s[7, 4, 2, 2] + s[7, 4, 3, 1] + s[7, 5, 2, 1] + s[7, 5, 3] + s[8, 3, 2, 2] + s[8, 4, 2, 1] + s[8, 5, 2]\n"}︡{"done":true}︡
︠63e1d1a2-adb6-406f-8c13-0871180dd331s︠
for i in lrskew([5,3,3,2,2],[3,3],weight=[5,2,2]):
    i.pp()
︡f8fb9af8-6239-4ab3-ba03-38e664386618︡{"stdout":"  .  .  .  1  1\n  .  .  .\n  1  1  1\n  2  2\n  3  3\n"}︡{"done":true}︡
︠3e57a635-ba19-46b1-94b9-814a90bcf87bs︠
for i in lrskew([5,3,3,2,2],[3,2],weight=[5,3,2]):
    i.pp()
#lrcalc.lrcoef([5,4,3,2,2],[3,2],[5,3,2])
︡90b7daf7-cc77-421d-b98d-af68b84c4044︡{"stdout":"  .  .  .  1  1\n  .  .  1\n  1  1  2\n  2  2\n  3  3\n"}︡{"done":true}︡
︠ded0a495-4831-441d-a4d6-1fad1ad67dabs︠

giv(5,6,1)
︡adc63a07-0bdc-4eb4-b0ad-62219621cfd7︡{"stdout":"[set([[5, 1, 1, 1], [6, 1, 1, 1, 1]]), set([[6, 2, 1, 1, 1], [5, 2, 1, 1]]), set([[5, 3, 1, 1], [6, 3, 1, 1, 1]]), set([[6, 2, 2, 2, 2], [4, 2, 2, 2]]), set([[5, 5, 1], [6, 6, 1, 1, 1]]), set([[5, 4, 1, 1], [6, 4, 1, 1, 1]]), set([[6, 3, 2, 1, 1], [5, 3, 2, 1]]), set([[5, 2, 2, 2], [6, 2, 2, 2, 1]]), set([[4, 3, 2, 2], [6, 3, 2, 2, 2]]), set([[4, 2, 2, 2, 1], [5, 2, 2, 2, 2]]), set([[6, 6, 1, 1], [6, 5, 1]]), set([[5, 2, 2, 1], [6, 2, 2, 1, 1]]), set([[6, 3, 2, 2, 1], [5, 3, 2, 2]]), set([[4, 4, 4, 1, 1], [4, 4, 2, 1, 1]]), set([[6, 5, 2, 2], [6, 4, 2, 1]]), set([[5, 5, 2, 1], [6, 5, 2, 1, 1]]), set([[5, 4, 2], [5, 4, 4]]), set([[5, 4, 2, 1, 1], [5, 5, 2, 2, 1]]), set([[4, 4, 2, 1], [4, 4, 4, 1]]), set([[4, 4, 2, 2, 1], [5, 4, 2, 2, 2]]), set([[5, 3, 3, 2, 2], [4, 3, 3, 2, 1]]), set([[6, 4, 4], [6, 4, 2]]), set([[5, 4, 4, 1], [5, 5, 2, 2], [6, 4, 2, 1, 1], [5, 4, 2, 1]]), set([[5, 5, 4], [5, 5, 2]]), set([[4, 4, 2, 2], [4, 4, 4, 2]]), set([[5, 4, 3, 1], [6, 4, 3, 1, 1]]), set([[6, 3, 3, 2, 1], [5, 3, 3, 2]])]"}︡{"stdout":"\n"}︡{"done":true}︡
︠50a0bda9-9cac-48f5-91d0-09b9c9e66c8es︠
for i in lrskew([6,6,6,5,3,2,2],[6,4,3,1,1],weight=[5,5,3,2]):
    i.pp()
︡566810b1-87fd-435b-81ec-a676f588ad48︡{"stdout":"  .  .  .  .  .  .\n  .  .  .  .  1  1\n  .  .  .  1  2  2\n  .  1  1  2  3\n  .  2  2\n  3  3\n  4  4\n  .  .  .  .  .  .\n  .  .  .  .  1  1\n  .  .  .  1  2  2\n  .  1  1  2  3\n  .  2  3\n  2  3\n  4  4\n  .  .  .  .  .  .\n  .  .  .  .  1  1\n  .  .  .  1  2  2\n  .  1  1  2  3\n  .  2  4\n  2  3\n  3  4\n  .  .  .  .  .  .\n  .  .  .  .  1  1\n  .  .  .  1  2  2\n  .  1  1  3  3\n  .  2  2\n  2  3\n  4  4\n  .  .  .  .  .  .\n  .  .  .  .  1  1\n  .  .  .  1  2  2\n  .  1  2  3  3\n  .  2  4\n  1  3\n  2  4\n"}︡{"done":true}︡
︠7de1cad6-3c39-4847-a08d-2a2c208265c9s︠
for i in lrskew([6,6,6,5,3,2,2],[5,4,3,1],weight=[6,5,3,2,1]):
    i.pp()
︡34f1a9a4-f67d-45a3-9b8d-aa749caf2b32︡{"stdout":"  .  .  .  .  .  1\n  .  .  .  .  1  2\n  .  .  .  1  2  3\n  .  1  1  2  3\n  1  2  2\n  3  4\n  4  5\n  .  .  .  .  .  1\n  .  .  .  .  1  2\n  .  .  .  1  2  3\n  .  1  1  2  3\n  1  2  3\n  2  4\n  4  5\n  .  .  .  .  .  1\n  .  .  .  .  1  2\n  .  .  .  1  2  3\n  .  1  1  2  3\n  1  2  4\n  2  3\n  4  5\n  .  .  .  .  .  1\n  .  .  .  .  1  2\n  .  .  .  1  2  3\n  .  1  1  2  3\n  1  2  4\n  2  4\n  3  5\n  .  .  .  .  .  1\n  .  .  .  .  1  2\n  .  .  .  1  2  3\n  .  1  1  2  4\n  1  2  2\n  3  3\n  4  5\n  .  .  .  .  .  1\n  .  .  .  .  1  2\n  .  .  .  1  2  3\n  .  1  1  2  4\n  1  2  3\n  2  3\n  4  5\n  .  .  .  .  .  1\n  .  .  .  .  1  2\n  .  .  .  1  2  3\n  .  1  1  2  4\n  1  2  3\n  2  4\n  3  5\n  .  .  .  .  .  1\n  .  .  .  .  1  2\n  .  .  .  1  2  3\n  .  1  1  2  4\n  1  2  5\n  2  3\n  3  4\n  .  .  .  .  .  1\n  .  .  .  .  1  2\n  .  .  .  1  2  3\n  .  1  1  3  4\n  1  2  2\n  2  3\n  4  5\n  .  .  .  .  .  1\n  .  .  .  .  1  2\n  .  .  .  1  2  3\n  .  1  1  3  4\n  1  2  2\n  2  4\n  3  5\n"}︡{"done":true}︡
︠5adc2bfa-4212-4254-b400-228fc46bdd90s︠
#set([[5, 4, 3, 1], [6, 4, 3, 1, 1]])
supp([6,4,3,1,1],5,6)
︡7c349d82-90ed-4313-b78d-085cdd7d15c0︡{"stdout":"[[6, 5, 5, 4, 3, 3, 2, 1, 1], [6, 5, 5, 4, 3, 3, 3, 1], [6, 5, 5, 4, 4, 2, 2, 1, 1], [6, 5, 5, 4, 4, 3, 1, 1, 1], [6, 5, 5, 4, 4, 3, 2, 1], [6, 5, 5, 4, 4, 3, 3], [6, 5, 5, 4, 4, 4, 1, 1], [6, 5, 5, 4, 4, 4, 2], [6, 5, 5, 5, 3, 2, 2, 1, 1], [6, 5, 5, 5, 3, 3, 1, 1, 1], [6, 5, 5, 5, 3, 3, 2, 1], [6, 5, 5, 5, 3, 3, 3], [6, 5, 5, 5, 4, 2, 1, 1, 1], [6, 5, 5, 5, 4, 2, 2, 1], [6, 5, 5, 5, 4, 3, 1, 1], [6, 5, 5, 5, 4, 3, 2], [6, 5, 5, 5, 4, 4, 1], [6, 5, 5, 5, 5, 1, 1, 1, 1], [6, 5, 5, 5, 5, 2, 1, 1], [6, 5, 5, 5, 5, 2, 2], [6, 5, 5, 5, 5, 3, 1], [6, 6, 5, 3, 3, 3, 2, 1, 1], [6, 6, 5, 3, 3, 3, 3, 1], [6, 6, 5, 4, 3, 2, 2, 1, 1], [6, 6, 5, 4, 3, 3, 1, 1, 1], [6, 6, 5, 4, 3, 3, 2, 1], [6, 6, 5, 4, 3, 3, 3], [6, 6, 5, 4, 4, 2, 1, 1, 1], [6, 6, 5, 4, 4, 2, 2, 1], [6, 6, 5, 4, 4, 3, 1, 1], [6, 6, 5, 4, 4, 3, 2], [6, 6, 5, 4, 4, 4, 1], [6, 6, 5, 5, 2, 2, 2, 1, 1], [6, 6, 5, 5, 3, 2, 1, 1, 1], [6, 6, 5, 5, 3, 2, 2, 1], [6, 6, 5, 5, 3, 3, 1, 1], [6, 6, 5, 5, 3, 3, 2], [6, 6, 5, 5, 4, 1, 1, 1, 1], [6, 6, 5, 5, 4, 2, 1, 1], [6, 6, 5, 5, 4, 2, 2], [6, 6, 5, 5, 4, 3, 1], [6, 6, 5, 5, 4, 4], [6, 6, 5, 5, 5, 1, 1, 1], [6, 6, 5, 5, 5, 2, 1], [6, 6, 5, 5, 5, 3], [6, 6, 6, 3, 3, 2, 2, 1, 1], [6, 6, 6, 3, 3, 3, 1, 1, 1], [6, 6, 6, 3, 3, 3, 2, 1], [6, 6, 6, 3, 3, 3, 3], [6, 6, 6, 4, 2, 2, 2, 1, 1], [6, 6, 6, 4, 3, 2, 1, 1, 1], [6, 6, 6, 4, 3, 2, 2, 1], [6, 6, 6, 4, 3, 3, 1, 1], [6, 6, 6, 4, 3, 3, 2], [6, 6, 6, 4, 4, 1, 1, 1, 1], [6, 6, 6, 4, 4, 2, 1, 1], [6, 6, 6, 4, 4, 2, 2], [6, 6, 6, 4, 4, 3, 1], [6, 6, 6, 4, 4, 4], [6, 6, 6, 5, 2, 2, 1, 1, 1], [6, 6, 6, 5, 2, 2, 2, 1], [6, 6, 6, 5, 3, 1, 1, 1, 1], [6, 6, 6, 5, 3, 2, 1, 1], [6, 6, 6, 5, 3, 2, 2], [6, 6, 6, 5, 3, 3, 1], [6, 6, 6, 5, 4, 1, 1, 1], [6, 6, 6, 5, 4, 2, 1], [6, 6, 6, 5, 4, 3], [6, 6, 6, 5, 5, 1, 1], [6, 6, 6, 5, 5, 2], [6, 6, 6, 6, 2, 2, 1, 1], [6, 6, 6, 6, 2, 2, 2], [6, 6, 6, 6, 3, 1, 1, 1], [6, 6, 6, 6, 3, 2, 1], [6, 6, 6, 6, 3, 3], [6, 6, 6, 6, 4, 1, 1], [6, 6, 6, 6, 4, 2], [6, 6, 6, 6, 5, 1], [6, 6, 6, 6, 6], [7, 5, 4, 4, 3, 3, 2, 1, 1], [7, 5, 4, 4, 3, 3, 3, 1], [7, 5, 4, 4, 4, 2, 2, 1, 1], [7, 5, 4, 4, 4, 3, 1, 1, 1], [7, 5, 4, 4, 4, 3, 2, 1], [7, 5, 4, 4, 4, 3, 3], [7, 5, 4, 4, 4, 4, 1, 1], [7, 5, 4, 4, 4, 4, 2], [7, 5, 5, 3, 3, 3, 2, 1, 1], [7, 5, 5, 3, 3, 3, 3, 1], [7, 5, 5, 4, 3, 2, 2, 1, 1], [7, 5, 5, 4, 3, 3, 1, 1, 1], [7, 5, 5, 4, 3, 3, 2, 1], [7, 5, 5, 4, 3, 3, 3], [7, 5, 5, 4, 4, 2, 1, 1, 1], [7, 5, 5, 4, 4, 2, 2, 1], [7, 5, 5, 4, 4, 3, 1, 1], [7, 5, 5, 4, 4, 3, 2], [7, 5, 5, 4, 4, 4, 1], [7, 5, 5, 5, 2, 2, 2, 1, 1], [7, 5, 5, 5, 3, 2, 1, 1, 1], [7, 5, 5, 5, 3, 2, 2, 1], [7, 5, 5, 5, 3, 3, 1, 1], [7, 5, 5, 5, 3, 3, 2], [7, 5, 5, 5, 4, 1, 1, 1, 1], [7, 5, 5, 5, 4, 2, 1, 1], [7, 5, 5, 5, 4, 2, 2], [7, 5, 5, 5, 4, 3, 1], [7, 5, 5, 5, 4, 4], [7, 5, 5, 5, 5, 1, 1, 1], [7, 5, 5, 5, 5, 2, 1], [7, 5, 5, 5, 5, 3], [7, 6, 4, 3, 3, 3, 2, 1, 1], [7, 6, 4, 3, 3, 3, 3, 1], [7, 6, 4, 4, 3, 2, 2, 1, 1], [7, 6, 4, 4, 3, 3, 1, 1, 1], [7, 6, 4, 4, 3, 3, 2, 1], [7, 6, 4, 4, 3, 3, 3], [7, 6, 4, 4, 4, 2, 1, 1, 1], [7, 6, 4, 4, 4, 2, 2, 1], [7, 6, 4, 4, 4, 3, 1, 1], [7, 6, 4, 4, 4, 3, 2], [7, 6, 4, 4, 4, 4, 1], [7, 6, 5, 3, 3, 2, 2, 1, 1], [7, 6, 5, 3, 3, 3, 1, 1, 1], [7, 6, 5, 3, 3, 3, 2, 1], [7, 6, 5, 3, 3, 3, 3], [7, 6, 5, 4, 2, 2, 2, 1, 1], [7, 6, 5, 4, 3, 2, 1, 1, 1], [7, 6, 5, 4, 3, 2, 2, 1], [7, 6, 5, 4, 3, 3, 1, 1], [7, 6, 5, 4, 3, 3, 2], [7, 6, 5, 4, 4, 1, 1, 1, 1], [7, 6, 5, 4, 4, 2, 1, 1], [7, 6, 5, 4, 4, 2, 2], [7, 6, 5, 4, 4, 3, 1], [7, 6, 5, 4, 4, 4], [7, 6, 5, 5, 2, 2, 1, 1, 1], [7, 6, 5, 5, 2, 2, 2, 1], [7, 6, 5, 5, 3, 1, 1, 1, 1], [7, 6, 5, 5, 3, 2, 1, 1], [7, 6, 5, 5, 3, 2, 2], [7, 6, 5, 5, 3, 3, 1], [7, 6, 5, 5, 4, 1, 1, 1], [7, 6, 5, 5, 4, 2, 1], [7, 6, 5, 5, 4, 3], [7, 6, 5, 5, 5, 1, 1], [7, 6, 5, 5, 5, 2], [7, 6, 6, 3, 2, 2, 2, 1, 1], [7, 6, 6, 3, 3, 2, 1, 1, 1], [7, 6, 6, 3, 3, 2, 2, 1], [7, 6, 6, 3, 3, 3, 1, 1], [7, 6, 6, 3, 3, 3, 2], [7, 6, 6, 4, 2, 2, 1, 1, 1], [7, 6, 6, 4, 2, 2, 2, 1], [7, 6, 6, 4, 3, 1, 1, 1, 1], [7, 6, 6, 4, 3, 2, 1, 1], [7, 6, 6, 4, 3, 2, 2], [7, 6, 6, 4, 3, 3, 1], [7, 6, 6, 4, 4, 1, 1, 1], [7, 6, 6, 4, 4, 2, 1], [7, 6, 6, 4, 4, 3], [7, 6, 6, 5, 2, 1, 1, 1, 1], [7, 6, 6, 5, 2, 2, 1, 1], [7, 6, 6, 5, 2, 2, 2], [7, 6, 6, 5, 3, 1, 1, 1], [7, 6, 6, 5, 3, 2, 1], [7, 6, 6, 5, 3, 3], [7, 6, 6, 5, 4, 1, 1], [7, 6, 6, 5, 4, 2], [7, 6, 6, 5, 5, 1], [7, 6, 6, 6, 2, 1, 1, 1], [7, 6, 6, 6, 2, 2, 1], [7, 6, 6, 6, 3, 1, 1], [7, 6, 6, 6, 3, 2], [7, 6, 6, 6, 4, 1], [7, 6, 6, 6, 5], [7, 7, 4, 3, 3, 2, 2, 1, 1], [7, 7, 4, 3, 3, 3, 1, 1, 1], [7, 7, 4, 3, 3, 3, 2, 1], [7, 7, 4, 3, 3, 3, 3], [7, 7, 4, 4, 2, 2, 2, 1, 1], [7, 7, 4, 4, 3, 2, 1, 1, 1], [7, 7, 4, 4, 3, 2, 2, 1], [7, 7, 4, 4, 3, 3, 1, 1], [7, 7, 4, 4, 3, 3, 2], [7, 7, 4, 4, 4, 1, 1, 1, 1], [7, 7, 4, 4, 4, 2, 1, 1], [7, 7, 4, 4, 4, 2, 2], [7, 7, 4, 4, 4, 3, 1], [7, 7, 4, 4, 4, 4], [7, 7, 5, 3, 2, 2, 2, 1, 1], [7, 7, 5, 3, 3, 2, 1, 1, 1], [7, 7, 5, 3, 3, 2, 2, 1], [7, 7, 5, 3, 3, 3, 1, 1], [7, 7, 5, 3, 3, 3, 2], [7, 7, 5, 4, 2, 2, 1, 1, 1], [7, 7, 5, 4, 2, 2, 2, 1], [7, 7, 5, 4, 3, 1, 1, 1, 1], [7, 7, 5, 4, 3, 2, 1, 1], [7, 7, 5, 4, 3, 2, 2], [7, 7, 5, 4, 3, 3, 1], [7, 7, 5, 4, 4, 1, 1, 1], [7, 7, 5, 4, 4, 2, 1], [7, 7, 5, 4, 4, 3], [7, 7, 5, 5, 2, 1, 1, 1, 1], [7, 7, 5, 5, 2, 2, 1, 1], [7, 7, 5, 5, 2, 2, 2], [7, 7, 5, 5, 3, 1, 1, 1], [7, 7, 5, 5, 3, 2, 1], [7, 7, 5, 5, 3, 3], [7, 7, 5, 5, 4, 1, 1], [7, 7, 5, 5, 4, 2], [7, 7, 5, 5, 5, 1], [7, 7, 6, 2, 2, 2, 2, 1, 1], [7, 7, 6, 3, 2, 2, 1, 1, 1], [7, 7, 6, 3, 2, 2, 2, 1], [7, 7, 6, 3, 3, 1, 1, 1, 1], [7, 7, 6, 3, 3, 2, 1, 1], [7, 7, 6, 3, 3, 2, 2], [7, 7, 6, 3, 3, 3, 1], [7, 7, 6, 4, 2, 1, 1, 1, 1], [7, 7, 6, 4, 2, 2, 1, 1], [7, 7, 6, 4, 2, 2, 2], [7, 7, 6, 4, 3, 1, 1, 1], [7, 7, 6, 4, 3, 2, 1], [7, 7, 6, 4, 3, 3], [7, 7, 6, 4, 4, 1, 1], [7, 7, 6, 4, 4, 2], [7, 7, 6, 5, 1, 1, 1, 1, 1], [7, 7, 6, 5, 2, 1, 1, 1], [7, 7, 6, 5, 2, 2, 1], [7, 7, 6, 5, 3, 1, 1], [7, 7, 6, 5, 3, 2], [7, 7, 6, 5, 4, 1], [7, 7, 6, 5, 5], [7, 7, 6, 6, 1, 1, 1, 1], [7, 7, 6, 6, 2, 1, 1], [7, 7, 6, 6, 2, 2], [7, 7, 6, 6, 3, 1], [7, 7, 6, 6, 4], [7, 7, 7, 2, 2, 2, 1, 1, 1], [7, 7, 7, 2, 2, 2, 2, 1], [7, 7, 7, 3, 2, 1, 1, 1, 1], [7, 7, 7, 3, 2, 2, 1, 1], [7, 7, 7, 3, 2, 2, 2], [7, 7, 7, 3, 3, 1, 1, 1], [7, 7, 7, 3, 3, 2, 1], [7, 7, 7, 3, 3, 3], [7, 7, 7, 4, 1, 1, 1, 1, 1], [7, 7, 7, 4, 2, 1, 1, 1], [7, 7, 7, 4, 2, 2, 1], [7, 7, 7, 4, 3, 1, 1], [7, 7, 7, 4, 3, 2], [7, 7, 7, 4, 4, 1], [7, 7, 7, 5, 1, 1, 1, 1], [7, 7, 7, 5, 2, 1, 1], [7, 7, 7, 5, 2, 2], [7, 7, 7, 5, 3, 1], [7, 7, 7, 5, 4], [7, 7, 7, 6, 1, 1, 1], [7, 7, 7, 6, 2, 1], [7, 7, 7, 6, 3], [8, 5, 4, 3, 3, 3, 2, 1, 1], [8, 5, 4, 3, 3, 3, 3, 1], [8, 5, 4, 4, 3, 2, 2, 1, 1], [8, 5, 4, 4, 3, 3, 1, 1, 1], [8, 5, 4, 4, 3, 3, 2, 1], [8, 5, 4, 4, 3, 3, 3], [8, 5, 4, 4, 4, 2, 1, 1, 1], [8, 5, 4, 4, 4, 2, 2, 1], [8, 5, 4, 4, 4, 3, 1, 1], [8, 5, 4, 4, 4, 3, 2], [8, 5, 4, 4, 4, 4, 1], [8, 5, 5, 3, 3, 2, 2, 1, 1], [8, 5, 5, 3, 3, 3, 1, 1, 1], [8, 5, 5, 3, 3, 3, 2, 1], [8, 5, 5, 3, 3, 3, 3], [8, 5, 5, 4, 2, 2, 2, 1, 1], [8, 5, 5, 4, 3, 2, 1, 1, 1], [8, 5, 5, 4, 3, 2, 2, 1], [8, 5, 5, 4, 3, 3, 1, 1], [8, 5, 5, 4, 3, 3, 2], [8, 5, 5, 4, 4, 1, 1, 1, 1], [8, 5, 5, 4, 4, 2, 1, 1], [8, 5, 5, 4, 4, 2, 2], [8, 5, 5, 4, 4, 3, 1], [8, 5, 5, 4, 4, 4], [8, 5, 5, 5, 2, 2, 1, 1, 1], [8, 5, 5, 5, 2, 2, 2, 1], [8, 5, 5, 5, 3, 1, 1, 1, 1], [8, 5, 5, 5, 3, 2, 1, 1], [8, 5, 5, 5, 3, 2, 2], [8, 5, 5, 5, 3, 3, 1], [8, 5, 5, 5, 4, 1, 1, 1], [8, 5, 5, 5, 4, 2, 1], [8, 5, 5, 5, 4, 3], [8, 5, 5, 5, 5, 1, 1], [8, 5, 5, 5, 5, 2], [8, 6, 3, 3, 3, 3, 2, 1, 1], [8, 6, 3, 3, 3, 3, 3, 1], [8, 6, 4, 3, 3, 2, 2, 1, 1], [8, 6, 4, 3, 3, 3, 1, 1, 1], [8, 6, 4, 3, 3, 3, 2, 1], [8, 6, 4, 3, 3, 3, 3], [8, 6, 4, 4, 2, 2, 2, 1, 1], [8, 6, 4, 4, 3, 2, 1, 1, 1], [8, 6, 4, 4, 3, 2, 2, 1], [8, 6, 4, 4, 3, 3, 1, 1], [8, 6, 4, 4, 3, 3, 2], [8, 6, 4, 4, 4, 1, 1, 1, 1], [8, 6, 4, 4, 4, 2, 1, 1], [8, 6, 4, 4, 4, 2, 2], [8, 6, 4, 4, 4, 3, 1], [8, 6, 4, 4, 4, 4], [8, 6, 5, 3, 2, 2, 2, 1, 1], [8, 6, 5, 3, 3, 2, 1, 1, 1], [8, 6, 5, 3, 3, 2, 2, 1], [8, 6, 5, 3, 3, 3, 1, 1], [8, 6, 5, 3, 3, 3, 2], [8, 6, 5, 4, 2, 2, 1, 1, 1], [8, 6, 5, 4, 2, 2, 2, 1], [8, 6, 5, 4, 3, 1, 1, 1, 1], [8, 6, 5, 4, 3, 2, 1, 1], [8, 6, 5, 4, 3, 2, 2], [8, 6, 5, 4, 3, 3, 1], [8, 6, 5, 4, 4, 1, 1, 1], [8, 6, 5, 4, 4, 2, 1], [8, 6, 5, 4, 4, 3], [8, 6, 5, 5, 2, 1, 1, 1, 1], [8, 6, 5, 5, 2, 2, 1, 1], [8, 6, 5, 5, 2, 2, 2], [8, 6, 5, 5, 3, 1, 1, 1], [8, 6, 5, 5, 3, 2, 1], [8, 6, 5, 5, 3, 3], [8, 6, 5, 5, 4, 1, 1], [8, 6, 5, 5, 4, 2], [8, 6, 5, 5, 5, 1], [8, 6, 6, 2, 2, 2, 2, 1, 1], [8, 6, 6, 3, 2, 2, 1, 1, 1], [8, 6, 6, 3, 2, 2, 2, 1], [8, 6, 6, 3, 3, 1, 1, 1, 1], [8, 6, 6, 3, 3, 2, 1, 1], [8, 6, 6, 3, 3, 2, 2], [8, 6, 6, 3, 3, 3, 1], [8, 6, 6, 4, 2, 1, 1, 1, 1], [8, 6, 6, 4, 2, 2, 1, 1], [8, 6, 6, 4, 2, 2, 2], [8, 6, 6, 4, 3, 1, 1, 1], [8, 6, 6, 4, 3, 2, 1], [8, 6, 6, 4, 3, 3], [8, 6, 6, 4, 4, 1, 1], [8, 6, 6, 4, 4, 2], [8, 6, 6, 5, 1, 1, 1, 1, 1], [8, 6, 6, 5, 2, 1, 1, 1], [8, 6, 6, 5, 2, 2, 1], [8, 6, 6, 5, 3, 1, 1], [8, 6, 6, 5, 3, 2], [8, 6, 6, 5, 4, 1], [8, 6, 6, 5, 5], [8, 6, 6, 6, 1, 1, 1, 1], [8, 6, 6, 6, 2, 1, 1], [8, 6, 6, 6, 2, 2], [8, 6, 6, 6, 3, 1], [8, 6, 6, 6, 4], [8, 7, 3, 3, 3, 2, 2, 1, 1], [8, 7, 3, 3, 3, 3, 1, 1, 1], [8, 7, 3, 3, 3, 3, 2, 1], [8, 7, 3, 3, 3, 3, 3], [8, 7, 4, 3, 2, 2, 2, 1, 1], [8, 7, 4, 3, 3, 2, 1, 1, 1], [8, 7, 4, 3, 3, 2, 2, 1], [8, 7, 4, 3, 3, 3, 1, 1], [8, 7, 4, 3, 3, 3, 2], [8, 7, 4, 4, 2, 2, 1, 1, 1], [8, 7, 4, 4, 2, 2, 2, 1], [8, 7, 4, 4, 3, 1, 1, 1, 1], [8, 7, 4, 4, 3, 2, 1, 1], [8, 7, 4, 4, 3, 2, 2], [8, 7, 4, 4, 3, 3, 1], [8, 7, 4, 4, 4, 1, 1, 1], [8, 7, 4, 4, 4, 2, 1], [8, 7, 4, 4, 4, 3], [8, 7, 5, 2, 2, 2, 2, 1, 1], [8, 7, 5, 3, 2, 2, 1, 1, 1], [8, 7, 5, 3, 2, 2, 2, 1], [8, 7, 5, 3, 3, 1, 1, 1, 1], [8, 7, 5, 3, 3, 2, 1, 1], [8, 7, 5, 3, 3, 2, 2], [8, 7, 5, 3, 3, 3, 1], [8, 7, 5, 4, 2, 1, 1, 1, 1], [8, 7, 5, 4, 2, 2, 1, 1], [8, 7, 5, 4, 2, 2, 2], [8, 7, 5, 4, 3, 1, 1, 1], [8, 7, 5, 4, 3, 2, 1], [8, 7, 5, 4, 3, 3], [8, 7, 5, 4, 4, 1, 1], [8, 7, 5, 4, 4, 2], [8, 7, 5, 5, 1, 1, 1, 1, 1], [8, 7, 5, 5, 2, 1, 1, 1], [8, 7, 5, 5, 2, 2, 1], [8, 7, 5, 5, 3, 1, 1], [8, 7, 5, 5, 3, 2], [8, 7, 5, 5, 4, 1], [8, 7, 5, 5, 5], [8, 7, 6, 2, 2, 2, 1, 1, 1], [8, 7, 6, 2, 2, 2, 2, 1], [8, 7, 6, 3, 2, 1, 1, 1, 1], [8, 7, 6, 3, 2, 2, 1, 1], [8, 7, 6, 3, 2, 2, 2], [8, 7, 6, 3, 3, 1, 1, 1], [8, 7, 6, 3, 3, 2, 1], [8, 7, 6, 3, 3, 3], [8, 7, 6, 4, 1, 1, 1, 1, 1], [8, 7, 6, 4, 2, 1, 1, 1], [8, 7, 6, 4, 2, 2, 1], [8, 7, 6, 4, 3, 1, 1], [8, 7, 6, 4, 3, 2], [8, 7, 6, 4, 4, 1], [8, 7, 6, 5, 1, 1, 1, 1], [8, 7, 6, 5, 2, 1, 1], [8, 7, 6, 5, 2, 2], [8, 7, 6, 5, 3, 1], [8, 7, 6, 5, 4], [8, 7, 6, 6, 1, 1, 1], [8, 7, 6, 6, 2, 1], [8, 7, 6, 6, 3], [8, 7, 7, 2, 2, 1, 1, 1, 1], [8, 7, 7, 2, 2, 2, 1, 1], [8, 7, 7, 2, 2, 2, 2], [8, 7, 7, 3, 1, 1, 1, 1, 1], [8, 7, 7, 3, 2, 1, 1, 1], [8, 7, 7, 3, 2, 2, 1], [8, 7, 7, 3, 3, 1, 1], [8, 7, 7, 3, 3, 2], [8, 7, 7, 4, 1, 1, 1, 1], [8, 7, 7, 4, 2, 1, 1], [8, 7, 7, 4, 2, 2], [8, 7, 7, 4, 3, 1], [8, 7, 7, 4, 4], [8, 7, 7, 5, 1, 1, 1], [8, 7, 7, 5, 2, 1], [8, 7, 7, 5, 3], [8, 7, 7, 6, 1, 1], [8, 7, 7, 6, 2], [8, 8, 3, 3, 3, 2, 1, 1, 1], [8, 8, 3, 3, 3, 2, 2, 1], [8, 8, 3, 3, 3, 3, 1, 1], [8, 8, 3, 3, 3, 3, 2], [8, 8, 4, 3, 2, 2, 1, 1, 1], [8, 8, 4, 3, 2, 2, 2, 1], [8, 8, 4, 3, 3, 1, 1, 1, 1], [8, 8, 4, 3, 3, 2, 1, 1], [8, 8, 4, 3, 3, 2, 2], [8, 8, 4, 3, 3, 3, 1], [8, 8, 4, 4, 2, 1, 1, 1, 1], [8, 8, 4, 4, 2, 2, 1, 1], [8, 8, 4, 4, 2, 2, 2], [8, 8, 4, 4, 3, 1, 1, 1], [8, 8, 4, 4, 3, 2, 1], [8, 8, 4, 4, 3, 3], [8, 8, 4, 4, 4, 1, 1], [8, 8, 4, 4, 4, 2], [8, 8, 5, 2, 2, 2, 1, 1, 1], [8, 8, 5, 2, 2, 2, 2, 1], [8, 8, 5, 3, 2, 1, 1, 1, 1], [8, 8, 5, 3, 2, 2, 1, 1], [8, 8, 5, 3, 2, 2, 2], [8, 8, 5, 3, 3, 1, 1, 1], [8, 8, 5, 3, 3, 2, 1], [8, 8, 5, 3, 3, 3], [8, 8, 5, 4, 1, 1, 1, 1, 1], [8, 8, 5, 4, 2, 1, 1, 1], [8, 8, 5, 4, 2, 2, 1], [8, 8, 5, 4, 3, 1, 1], [8, 8, 5, 4, 3, 2], [8, 8, 5, 4, 4, 1], [8, 8, 5, 5, 1, 1, 1, 1], [8, 8, 5, 5, 2, 1, 1], [8, 8, 5, 5, 2, 2], [8, 8, 5, 5, 3, 1], [8, 8, 5, 5, 4], [8, 8, 6, 2, 2, 1, 1, 1, 1], [8, 8, 6, 2, 2, 2, 1, 1], [8, 8, 6, 2, 2, 2, 2], [8, 8, 6, 3, 1, 1, 1, 1, 1], [8, 8, 6, 3, 2, 1, 1, 1], [8, 8, 6, 3, 2, 2, 1], [8, 8, 6, 3, 3, 1, 1], [8, 8, 6, 3, 3, 2], [8, 8, 6, 4, 1, 1, 1, 1], [8, 8, 6, 4, 2, 1, 1], [8, 8, 6, 4, 2, 2], [8, 8, 6, 4, 3, 1], [8, 8, 6, 4, 4], [8, 8, 6, 5, 1, 1, 1], [8, 8, 6, 5, 2, 1], [8, 8, 6, 5, 3], [8, 8, 6, 6, 1, 1], [8, 8, 6, 6, 2], [8, 8, 7, 2, 1, 1, 1, 1, 1], [8, 8, 7, 2, 2, 1, 1, 1], [8, 8, 7, 2, 2, 2, 1], [8, 8, 7, 3, 1, 1, 1, 1], [8, 8, 7, 3, 2, 1, 1], [8, 8, 7, 3, 2, 2], [8, 8, 7, 3, 3, 1], [8, 8, 7, 4, 1, 1, 1], [8, 8, 7, 4, 2, 1], [8, 8, 7, 4, 3], [8, 8, 7, 5, 1, 1], [8, 8, 7, 5, 2], [8, 8, 7, 6, 1], [8, 8, 8, 2, 1, 1, 1, 1], [8, 8, 8, 2, 2, 1, 1], [8, 8, 8, 2, 2, 2], [8, 8, 8, 3, 1, 1, 1], [8, 8, 8, 3, 2, 1], [8, 8, 8, 3, 3], [8, 8, 8, 4, 1, 1], [8, 8, 8, 4, 2], [8, 8, 8, 5, 1], [9, 5, 4, 3, 3, 2, 2, 1, 1], [9, 5, 4, 3, 3, 3, 1, 1, 1], [9, 5, 4, 3, 3, 3, 2, 1], [9, 5, 4, 3, 3, 3, 3], [9, 5, 4, 4, 2, 2, 2, 1, 1], [9, 5, 4, 4, 3, 2, 1, 1, 1], [9, 5, 4, 4, 3, 2, 2, 1], [9, 5, 4, 4, 3, 3, 1, 1], [9, 5, 4, 4, 3, 3, 2], [9, 5, 4, 4, 4, 1, 1, 1, 1], [9, 5, 4, 4, 4, 2, 1, 1], [9, 5, 4, 4, 4, 2, 2], [9, 5, 4, 4, 4, 3, 1], [9, 5, 4, 4, 4, 4], [9, 5, 5, 3, 2, 2, 2, 1, 1], [9, 5, 5, 3, 3, 2, 1, 1, 1], [9, 5, 5, 3, 3, 2, 2, 1], [9, 5, 5, 3, 3, 3, 1, 1], [9, 5, 5, 3, 3, 3, 2], [9, 5, 5, 4, 2, 2, 1, 1, 1], [9, 5, 5, 4, 2, 2, 2, 1], [9, 5, 5, 4, 3, 1, 1, 1, 1], [9, 5, 5, 4, 3, 2, 1, 1], [9, 5, 5, 4, 3, 2, 2], [9, 5, 5, 4, 3, 3, 1], [9, 5, 5, 4, 4, 1, 1, 1], [9, 5, 5, 4, 4, 2, 1], [9, 5, 5, 4, 4, 3], [9, 5, 5, 5, 2, 1, 1, 1, 1], [9, 5, 5, 5, 2, 2, 1, 1], [9, 5, 5, 5, 2, 2, 2], [9, 5, 5, 5, 3, 1, 1, 1], [9, 5, 5, 5, 3, 2, 1], [9, 5, 5, 5, 3, 3], [9, 5, 5, 5, 4, 1, 1], [9, 5, 5, 5, 4, 2], [9, 5, 5, 5, 5, 1], [9, 6, 3, 3, 3, 2, 2, 1, 1], [9, 6, 3, 3, 3, 3, 1, 1, 1], [9, 6, 3, 3, 3, 3, 2, 1], [9, 6, 3, 3, 3, 3, 3], [9, 6, 4, 3, 2, 2, 2, 1, 1], [9, 6, 4, 3, 3, 2, 1, 1, 1], [9, 6, 4, 3, 3, 2, 2, 1], [9, 6, 4, 3, 3, 3, 1, 1], [9, 6, 4, 3, 3, 3, 2], [9, 6, 4, 4, 2, 2, 1, 1, 1], [9, 6, 4, 4, 2, 2, 2, 1], [9, 6, 4, 4, 3, 1, 1, 1, 1], [9, 6, 4, 4, 3, 2, 1, 1], [9, 6, 4, 4, 3, 2, 2], [9, 6, 4, 4, 3, 3, 1], [9, 6, 4, 4, 4, 1, 1, 1], [9, 6, 4, 4, 4, 2, 1], [9, 6, 4, 4, 4, 3], [9, 6, 5, 2, 2, 2, 2, 1, 1], [9, 6, 5, 3, 2, 2, 1, 1, 1], [9, 6, 5, 3, 2, 2, 2, 1], [9, 6, 5, 3, 3, 1, 1, 1, 1], [9, 6, 5, 3, 3, 2, 1, 1], [9, 6, 5, 3, 3, 2, 2], [9, 6, 5, 3, 3, 3, 1], [9, 6, 5, 4, 2, 1, 1, 1, 1], [9, 6, 5, 4, 2, 2, 1, 1], [9, 6, 5, 4, 2, 2, 2], [9, 6, 5, 4, 3, 1, 1, 1], [9, 6, 5, 4, 3, 2, 1], [9, 6, 5, 4, 3, 3], [9, 6, 5, 4, 4, 1, 1], [9, 6, 5, 4, 4, 2], [9, 6, 5, 5, 1, 1, 1, 1, 1], [9, 6, 5, 5, 2, 1, 1, 1], [9, 6, 5, 5, 2, 2, 1], [9, 6, 5, 5, 3, 1, 1], [9, 6, 5, 5, 3, 2], [9, 6, 5, 5, 4, 1], [9, 6, 5, 5, 5], [9, 6, 6, 2, 2, 2, 1, 1, 1], [9, 6, 6, 2, 2, 2, 2, 1], [9, 6, 6, 3, 2, 1, 1, 1, 1], [9, 6, 6, 3, 2, 2, 1, 1], [9, 6, 6, 3, 2, 2, 2], [9, 6, 6, 3, 3, 1, 1, 1], [9, 6, 6, 3, 3, 2, 1], [9, 6, 6, 3, 3, 3], [9, 6, 6, 4, 1, 1, 1, 1, 1], [9, 6, 6, 4, 2, 1, 1, 1], [9, 6, 6, 4, 2, 2, 1], [9, 6, 6, 4, 3, 1, 1], [9, 6, 6, 4, 3, 2], [9, 6, 6, 4, 4, 1], [9, 6, 6, 5, 1, 1, 1, 1], [9, 6, 6, 5, 2, 1, 1], [9, 6, 6, 5, 2, 2], [9, 6, 6, 5, 3, 1], [9, 6, 6, 5, 4], [9, 6, 6, 6, 1, 1, 1], [9, 6, 6, 6, 2, 1], [9, 6, 6, 6, 3], [9, 7, 3, 3, 2, 2, 2, 1, 1], [9, 7, 3, 3, 3, 2, 1, 1, 1], [9, 7, 3, 3, 3, 2, 2, 1], [9, 7, 3, 3, 3, 3, 1, 1], [9, 7, 3, 3, 3, 3, 2], [9, 7, 4, 2, 2, 2, 2, 1, 1], [9, 7, 4, 3, 2, 2, 1, 1, 1], [9, 7, 4, 3, 2, 2, 2, 1], [9, 7, 4, 3, 3, 1, 1, 1, 1], [9, 7, 4, 3, 3, 2, 1, 1], [9, 7, 4, 3, 3, 2, 2], [9, 7, 4, 3, 3, 3, 1], [9, 7, 4, 4, 2, 1, 1, 1, 1], [9, 7, 4, 4, 2, 2, 1, 1], [9, 7, 4, 4, 2, 2, 2], [9, 7, 4, 4, 3, 1, 1, 1], [9, 7, 4, 4, 3, 2, 1], [9, 7, 4, 4, 3, 3], [9, 7, 4, 4, 4, 1, 1], [9, 7, 4, 4, 4, 2], [9, 7, 5, 2, 2, 2, 1, 1, 1], [9, 7, 5, 2, 2, 2, 2, 1], [9, 7, 5, 3, 2, 1, 1, 1, 1], [9, 7, 5, 3, 2, 2, 1, 1], [9, 7, 5, 3, 2, 2, 2], [9, 7, 5, 3, 3, 1, 1, 1], [9, 7, 5, 3, 3, 2, 1], [9, 7, 5, 3, 3, 3], [9, 7, 5, 4, 1, 1, 1, 1, 1], [9, 7, 5, 4, 2, 1, 1, 1], [9, 7, 5, 4, 2, 2, 1], [9, 7, 5, 4, 3, 1, 1], [9, 7, 5, 4, 3, 2], [9, 7, 5, 4, 4, 1], [9, 7, 5, 5, 1, 1, 1, 1], [9, 7, 5, 5, 2, 1, 1], [9, 7, 5, 5, 2, 2], [9, 7, 5, 5, 3, 1], [9, 7, 5, 5, 4], [9, 7, 6, 2, 2, 1, 1, 1, 1], [9, 7, 6, 2, 2, 2, 1, 1], [9, 7, 6, 2, 2, 2, 2], [9, 7, 6, 3, 1, 1, 1, 1, 1], [9, 7, 6, 3, 2, 1, 1, 1], [9, 7, 6, 3, 2, 2, 1], [9, 7, 6, 3, 3, 1, 1], [9, 7, 6, 3, 3, 2], [9, 7, 6, 4, 1, 1, 1, 1], [9, 7, 6, 4, 2, 1, 1], [9, 7, 6, 4, 2, 2], [9, 7, 6, 4, 3, 1], [9, 7, 6, 4, 4], [9, 7, 6, 5, 1, 1, 1], [9, 7, 6, 5, 2, 1], [9, 7, 6, 5, 3], [9, 7, 6, 6, 1, 1], [9, 7, 6, 6, 2], [9, 7, 7, 2, 1, 1, 1, 1, 1], [9, 7, 7, 2, 2, 1, 1, 1], [9, 7, 7, 2, 2, 2, 1], [9, 7, 7, 3, 1, 1, 1, 1], [9, 7, 7, 3, 2, 1, 1], [9, 7, 7, 3, 2, 2], [9, 7, 7, 3, 3, 1], [9, 7, 7, 4, 1, 1, 1], [9, 7, 7, 4, 2, 1], [9, 7, 7, 4, 3], [9, 7, 7, 5, 1, 1], [9, 7, 7, 5, 2], [9, 7, 7, 6, 1], [9, 8, 3, 3, 2, 2, 1, 1, 1], [9, 8, 3, 3, 2, 2, 2, 1], [9, 8, 3, 3, 3, 1, 1, 1, 1], [9, 8, 3, 3, 3, 2, 1, 1], [9, 8, 3, 3, 3, 2, 2], [9, 8, 3, 3, 3, 3, 1], [9, 8, 4, 2, 2, 2, 1, 1, 1], [9, 8, 4, 2, 2, 2, 2, 1], [9, 8, 4, 3, 2, 1, 1, 1, 1], [9, 8, 4, 3, 2, 2, 1, 1], [9, 8, 4, 3, 2, 2, 2], [9, 8, 4, 3, 3, 1, 1, 1], [9, 8, 4, 3, 3, 2, 1], [9, 8, 4, 3, 3, 3], [9, 8, 4, 4, 1, 1, 1, 1, 1], [9, 8, 4, 4, 2, 1, 1, 1], [9, 8, 4, 4, 2, 2, 1], [9, 8, 4, 4, 3, 1, 1], [9, 8, 4, 4, 3, 2], [9, 8, 4, 4, 4, 1], [9, 8, 5, 2, 2, 1, 1, 1, 1], [9, 8, 5, 2, 2, 2, 1, 1], [9, 8, 5, 2, 2, 2, 2], [9, 8, 5, 3, 1, 1, 1, 1, 1], [9, 8, 5, 3, 2, 1, 1, 1], [9, 8, 5, 3, 2, 2, 1], [9, 8, 5, 3, 3, 1, 1], [9, 8, 5, 3, 3, 2], [9, 8, 5, 4, 1, 1, 1, 1], [9, 8, 5, 4, 2, 1, 1], [9, 8, 5, 4, 2, 2], [9, 8, 5, 4, 3, 1], [9, 8, 5, 4, 4], [9, 8, 5, 5, 1, 1, 1], [9, 8, 5, 5, 2, 1], [9, 8, 5, 5, 3], [9, 8, 6, 2, 1, 1, 1, 1, 1], [9, 8, 6, 2, 2, 1, 1, 1], [9, 8, 6, 2, 2, 2, 1], [9, 8, 6, 3, 1, 1, 1, 1], [9, 8, 6, 3, 2, 1, 1], [9, 8, 6, 3, 2, 2], [9, 8, 6, 3, 3, 1], [9, 8, 6, 4, 1, 1, 1], [9, 8, 6, 4, 2, 1], [9, 8, 6, 4, 3], [9, 8, 6, 5, 1, 1], [9, 8, 6, 5, 2], [9, 8, 6, 6, 1], [9, 8, 7, 2, 1, 1, 1, 1], [9, 8, 7, 2, 2, 1, 1], [9, 8, 7, 2, 2, 2], [9, 8, 7, 3, 1, 1, 1], [9, 8, 7, 3, 2, 1], [9, 8, 7, 3, 3], [9, 8, 7, 4, 1, 1], [9, 8, 7, 4, 2], [9, 8, 7, 5, 1], [9, 8, 8, 2, 1, 1, 1], [9, 8, 8, 2, 2, 1], [9, 8, 8, 3, 1, 1], [9, 8, 8, 3, 2], [9, 8, 8, 4, 1], [9, 9, 3, 3, 2, 2, 1, 1], [9, 9, 3, 3, 3, 1, 1, 1], [9, 9, 3, 3, 3, 2, 1], [9, 9, 3, 3, 3, 3], [9, 9, 4, 2, 2, 2, 1, 1], [9, 9, 4, 3, 2, 1, 1, 1], [9, 9, 4, 3, 2, 2, 1], [9, 9, 4, 3, 3, 1, 1], [9, 9, 4, 3, 3, 2], [9, 9, 4, 4, 1, 1, 1, 1], [9, 9, 4, 4, 2, 1, 1], [9, 9, 4, 4, 2, 2], [9, 9, 4, 4, 3, 1], [9, 9, 4, 4, 4], [9, 9, 5, 2, 2, 1, 1, 1], [9, 9, 5, 2, 2, 2, 1], [9, 9, 5, 3, 1, 1, 1, 1], [9, 9, 5, 3, 2, 1, 1], [9, 9, 5, 3, 2, 2], [9, 9, 5, 3, 3, 1], [9, 9, 5, 4, 1, 1, 1], [9, 9, 5, 4, 2, 1], [9, 9, 5, 4, 3], [9, 9, 5, 5, 1, 1], [9, 9, 5, 5, 2], [9, 9, 6, 2, 1, 1, 1, 1], [9, 9, 6, 2, 2, 1, 1], [9, 9, 6, 2, 2, 2], [9, 9, 6, 3, 1, 1, 1], [9, 9, 6, 3, 2, 1], [9, 9, 6, 3, 3], [9, 9, 6, 4, 1, 1], [9, 9, 6, 4, 2], [9, 9, 6, 5, 1], [9, 9, 7, 2, 1, 1, 1], [9, 9, 7, 2, 2, 1], [9, 9, 7, 3, 1, 1], [9, 9, 7, 3, 2], [9, 9, 7, 4, 1], [9, 9, 8, 2, 1, 1], [9, 9, 8, 3, 1], [10, 5, 4, 3, 3, 2, 1, 1, 1], [10, 5, 4, 3, 3, 2, 2, 1], [10, 5, 4, 3, 3, 3, 1, 1], [10, 5, 4, 3, 3, 3, 2], [10, 5, 4, 4, 2, 2, 1, 1, 1], [10, 5, 4, 4, 2, 2, 2, 1], [10, 5, 4, 4, 3, 1, 1, 1, 1], [10, 5, 4, 4, 3, 2, 1, 1], [10, 5, 4, 4, 3, 2, 2], [10, 5, 4, 4, 3, 3, 1], [10, 5, 4, 4, 4, 1, 1, 1], [10, 5, 4, 4, 4, 2, 1], [10, 5, 4, 4, 4, 3], [10, 5, 5, 3, 2, 2, 1, 1, 1], [10, 5, 5, 3, 2, 2, 2, 1], [10, 5, 5, 3, 3, 1, 1, 1, 1], [10, 5, 5, 3, 3, 2, 1, 1], [10, 5, 5, 3, 3, 2, 2], [10, 5, 5, 3, 3, 3, 1], [10, 5, 5, 4, 2, 1, 1, 1, 1], [10, 5, 5, 4, 2, 2, 1, 1], [10, 5, 5, 4, 2, 2, 2], [10, 5, 5, 4, 3, 1, 1, 1], [10, 5, 5, 4, 3, 2, 1], [10, 5, 5, 4, 3, 3], [10, 5, 5, 4, 4, 1, 1], [10, 5, 5, 4, 4, 2], [10, 5, 5, 5, 1, 1, 1, 1, 1], [10, 5, 5, 5, 2, 1, 1, 1], [10, 5, 5, 5, 2, 2, 1], [10, 5, 5, 5, 3, 1, 1], [10, 5, 5, 5, 3, 2], [10, 5, 5, 5, 4, 1], [10, 6, 3, 3, 3, 2, 1, 1, 1], [10, 6, 3, 3, 3, 2, 2, 1], [10, 6, 3, 3, 3, 3, 1, 1], [10, 6, 3, 3, 3, 3, 2], [10, 6, 4, 3, 2, 2, 1, 1, 1], [10, 6, 4, 3, 2, 2, 2, 1], [10, 6, 4, 3, 3, 1, 1, 1, 1], [10, 6, 4, 3, 3, 2, 1, 1], [10, 6, 4, 3, 3, 2, 2], [10, 6, 4, 3, 3, 3, 1], [10, 6, 4, 4, 2, 1, 1, 1, 1], [10, 6, 4, 4, 2, 2, 1, 1], [10, 6, 4, 4, 2, 2, 2], [10, 6, 4, 4, 3, 1, 1, 1], [10, 6, 4, 4, 3, 2, 1], [10, 6, 4, 4, 3, 3], [10, 6, 4, 4, 4, 1, 1], [10, 6, 4, 4, 4, 2], [10, 6, 5, 2, 2, 2, 1, 1, 1], [10, 6, 5, 2, 2, 2, 2, 1], [10, 6, 5, 3, 2, 1, 1, 1, 1], [10, 6, 5, 3, 2, 2, 1, 1], [10, 6, 5, 3, 2, 2, 2], [10, 6, 5, 3, 3, 1, 1, 1], [10, 6, 5, 3, 3, 2, 1], [10, 6, 5, 3, 3, 3], [10, 6, 5, 4, 1, 1, 1, 1, 1], [10, 6, 5, 4, 2, 1, 1, 1], [10, 6, 5, 4, 2, 2, 1], [10, 6, 5, 4, 3, 1, 1], [10, 6, 5, 4, 3, 2], [10, 6, 5, 4, 4, 1], [10, 6, 5, 5, 1, 1, 1, 1], [10, 6, 5, 5, 2, 1, 1], [10, 6, 5, 5, 2, 2], [10, 6, 5, 5, 3, 1], [10, 6, 5, 5, 4], [10, 6, 6, 2, 2, 1, 1, 1, 1], [10, 6, 6, 2, 2, 2, 1, 1], [10, 6, 6, 2, 2, 2, 2], [10, 6, 6, 3, 1, 1, 1, 1, 1], [10, 6, 6, 3, 2, 1, 1, 1], [10, 6, 6, 3, 2, 2, 1], [10, 6, 6, 3, 3, 1, 1], [10, 6, 6, 3, 3, 2], [10, 6, 6, 4, 1, 1, 1, 1], [10, 6, 6, 4, 2, 1, 1], [10, 6, 6, 4, 2, 2], [10, 6, 6, 4, 3, 1], [10, 6, 6, 4, 4], [10, 6, 6, 5, 1, 1, 1], [10, 6, 6, 5, 2, 1], [10, 6, 6, 5, 3], [10, 6, 6, 6, 1, 1], [10, 6, 6, 6, 2], [10, 7, 3, 3, 2, 2, 1, 1, 1], [10, 7, 3, 3, 2, 2, 2, 1], [10, 7, 3, 3, 3, 1, 1, 1, 1], [10, 7, 3, 3, 3, 2, 1, 1], [10, 7, 3, 3, 3, 2, 2], [10, 7, 3, 3, 3, 3, 1], [10, 7, 4, 2, 2, 2, 1, 1, 1], [10, 7, 4, 2, 2, 2, 2, 1], [10, 7, 4, 3, 2, 1, 1, 1, 1], [10, 7, 4, 3, 2, 2, 1, 1], [10, 7, 4, 3, 2, 2, 2], [10, 7, 4, 3, 3, 1, 1, 1], [10, 7, 4, 3, 3, 2, 1], [10, 7, 4, 3, 3, 3], [10, 7, 4, 4, 1, 1, 1, 1, 1], [10, 7, 4, 4, 2, 1, 1, 1], [10, 7, 4, 4, 2, 2, 1], [10, 7, 4, 4, 3, 1, 1], [10, 7, 4, 4, 3, 2], [10, 7, 4, 4, 4, 1], [10, 7, 5, 2, 2, 1, 1, 1, 1], [10, 7, 5, 2, 2, 2, 1, 1], [10, 7, 5, 2, 2, 2, 2], [10, 7, 5, 3, 1, 1, 1, 1, 1], [10, 7, 5, 3, 2, 1, 1, 1], [10, 7, 5, 3, 2, 2, 1], [10, 7, 5, 3, 3, 1, 1], [10, 7, 5, 3, 3, 2], [10, 7, 5, 4, 1, 1, 1, 1], [10, 7, 5, 4, 2, 1, 1], [10, 7, 5, 4, 2, 2], [10, 7, 5, 4, 3, 1], [10, 7, 5, 4, 4], [10, 7, 5, 5, 1, 1, 1], [10, 7, 5, 5, 2, 1], [10, 7, 5, 5, 3], [10, 7, 6, 2, 1, 1, 1, 1, 1], [10, 7, 6, 2, 2, 1, 1, 1], [10, 7, 6, 2, 2, 2, 1], [10, 7, 6, 3, 1, 1, 1, 1], [10, 7, 6, 3, 2, 1, 1], [10, 7, 6, 3, 2, 2], [10, 7, 6, 3, 3, 1], [10, 7, 6, 4, 1, 1, 1], [10, 7, 6, 4, 2, 1], [10, 7, 6, 4, 3], [10, 7, 6, 5, 1, 1], [10, 7, 6, 5, 2], [10, 7, 6, 6, 1], [10, 7, 7, 2, 1, 1, 1, 1], [10, 7, 7, 2, 2, 1, 1], [10, 7, 7, 2, 2, 2], [10, 7, 7, 3, 1, 1, 1], [10, 7, 7, 3, 2, 1], [10, 7, 7, 3, 3], [10, 7, 7, 4, 1, 1], [10, 7, 7, 4, 2], [10, 7, 7, 5, 1], [10, 8, 3, 3, 2, 1, 1, 1, 1], [10, 8, 3, 3, 2, 2, 1, 1], [10, 8, 3, 3, 2, 2, 2], [10, 8, 3, 3, 3, 1, 1, 1], [10, 8, 3, 3, 3, 2, 1], [10, 8, 3, 3, 3, 3], [10, 8, 4, 2, 2, 1, 1, 1, 1], [10, 8, 4, 2, 2, 2, 1, 1], [10, 8, 4, 2, 2, 2, 2], [10, 8, 4, 3, 1, 1, 1, 1, 1], [10, 8, 4, 3, 2, 1, 1, 1], [10, 8, 4, 3, 2, 2, 1], [10, 8, 4, 3, 3, 1, 1], [10, 8, 4, 3, 3, 2], [10, 8, 4, 4, 1, 1, 1, 1], [10, 8, 4, 4, 2, 1, 1], [10, 8, 4, 4, 2, 2], [10, 8, 4, 4, 3, 1], [10, 8, 4, 4, 4], [10, 8, 5, 2, 1, 1, 1, 1, 1], [10, 8, 5, 2, 2, 1, 1, 1], [10, 8, 5, 2, 2, 2, 1], [10, 8, 5, 3, 1, 1, 1, 1], [10, 8, 5, 3, 2, 1, 1], [10, 8, 5, 3, 2, 2], [10, 8, 5, 3, 3, 1], [10, 8, 5, 4, 1, 1, 1], [10, 8, 5, 4, 2, 1], [10, 8, 5, 4, 3], [10, 8, 5, 5, 1, 1], [10, 8, 5, 5, 2], [10, 8, 6, 2, 1, 1, 1, 1], [10, 8, 6, 2, 2, 1, 1], [10, 8, 6, 2, 2, 2], [10, 8, 6, 3, 1, 1, 1], [10, 8, 6, 3, 2, 1], [10, 8, 6, 3, 3], [10, 8, 6, 4, 1, 1], [10, 8, 6, 4, 2], [10, 8, 6, 5, 1], [10, 8, 7, 2, 1, 1, 1], [10, 8, 7, 2, 2, 1], [10, 8, 7, 3, 1, 1], [10, 8, 7, 3, 2], [10, 8, 7, 4, 1], [10, 8, 8, 2, 1, 1], [10, 8, 8, 3, 1], [10, 9, 3, 3, 2, 1, 1, 1], [10, 9, 3, 3, 2, 2, 1], [10, 9, 3, 3, 3, 1, 1], [10, 9, 3, 3, 3, 2], [10, 9, 4, 2, 2, 1, 1, 1], [10, 9, 4, 2, 2, 2, 1], [10, 9, 4, 3, 1, 1, 1, 1], [10, 9, 4, 3, 2, 1, 1], [10, 9, 4, 3, 2, 2], [10, 9, 4, 3, 3, 1], [10, 9, 4, 4, 1, 1, 1], [10, 9, 4, 4, 2, 1], [10, 9, 4, 4, 3], [10, 9, 5, 2, 1, 1, 1, 1], [10, 9, 5, 2, 2, 1, 1], [10, 9, 5, 2, 2, 2], [10, 9, 5, 3, 1, 1, 1], [10, 9, 5, 3, 2, 1], [10, 9, 5, 3, 3], [10, 9, 5, 4, 1, 1], [10, 9, 5, 4, 2], [10, 9, 5, 5, 1], [10, 9, 6, 2, 1, 1, 1], [10, 9, 6, 2, 2, 1], [10, 9, 6, 3, 1, 1], [10, 9, 6, 3, 2], [10, 9, 6, 4, 1], [10, 9, 7, 2, 1, 1], [10, 9, 7, 3, 1], [11, 5, 4, 3, 3, 2, 1, 1], [11, 5, 4, 3, 3, 3, 1], [11, 5, 4, 4, 2, 2, 1, 1], [11, 5, 4, 4, 3, 1, 1, 1], [11, 5, 4, 4, 3, 2, 1], [11, 5, 4, 4, 3, 3], [11, 5, 4, 4, 4, 1, 1], [11, 5, 4, 4, 4, 2], [11, 5, 5, 3, 2, 2, 1, 1], [11, 5, 5, 3, 3, 1, 1, 1], [11, 5, 5, 3, 3, 2, 1], [11, 5, 5, 3, 3, 3], [11, 5, 5, 4, 2, 1, 1, 1], [11, 5, 5, 4, 2, 2, 1], [11, 5, 5, 4, 3, 1, 1], [11, 5, 5, 4, 3, 2], [11, 5, 5, 4, 4, 1], [11, 5, 5, 5, 1, 1, 1, 1], [11, 5, 5, 5, 2, 1, 1], [11, 5, 5, 5, 2, 2], [11, 5, 5, 5, 3, 1], [11, 6, 3, 3, 3, 2, 1, 1], [11, 6, 3, 3, 3, 3, 1], [11, 6, 4, 3, 2, 2, 1, 1], [11, 6, 4, 3, 3, 1, 1, 1], [11, 6, 4, 3, 3, 2, 1], [11, 6, 4, 3, 3, 3], [11, 6, 4, 4, 2, 1, 1, 1], [11, 6, 4, 4, 2, 2, 1], [11, 6, 4, 4, 3, 1, 1], [11, 6, 4, 4, 3, 2], [11, 6, 4, 4, 4, 1], [11, 6, 5, 2, 2, 2, 1, 1], [11, 6, 5, 3, 2, 1, 1, 1], [11, 6, 5, 3, 2, 2, 1], [11, 6, 5, 3, 3, 1, 1], [11, 6, 5, 3, 3, 2], [11, 6, 5, 4, 1, 1, 1, 1], [11, 6, 5, 4, 2, 1, 1], [11, 6, 5, 4, 2, 2], [11, 6, 5, 4, 3, 1], [11, 6, 5, 4, 4], [11, 6, 5, 5, 1, 1, 1], [11, 6, 5, 5, 2, 1], [11, 6, 5, 5, 3], [11, 6, 6, 2, 2, 1, 1, 1], [11, 6, 6, 2, 2, 2, 1], [11, 6, 6, 3, 1, 1, 1, 1], [11, 6, 6, 3, 2, 1, 1], [11, 6, 6, 3, 2, 2], [11, 6, 6, 3, 3, 1], [11, 6, 6, 4, 1, 1, 1], [11, 6, 6, 4, 2, 1], [11, 6, 6, 4, 3], [11, 6, 6, 5, 1, 1], [11, 6, 6, 5, 2], [11, 6, 6, 6, 1], [11, 7, 3, 3, 2, 2, 1, 1], [11, 7, 3, 3, 3, 1, 1, 1], [11, 7, 3, 3, 3, 2, 1], [11, 7, 3, 3, 3, 3], [11, 7, 4, 2, 2, 2, 1, 1], [11, 7, 4, 3, 2, 1, 1, 1], [11, 7, 4, 3, 2, 2, 1], [11, 7, 4, 3, 3, 1, 1], [11, 7, 4, 3, 3, 2], [11, 7, 4, 4, 1, 1, 1, 1], [11, 7, 4, 4, 2, 1, 1], [11, 7, 4, 4, 2, 2], [11, 7, 4, 4, 3, 1], [11, 7, 4, 4, 4], [11, 7, 5, 2, 2, 1, 1, 1], [11, 7, 5, 2, 2, 2, 1], [11, 7, 5, 3, 1, 1, 1, 1], [11, 7, 5, 3, 2, 1, 1], [11, 7, 5, 3, 2, 2], [11, 7, 5, 3, 3, 1], [11, 7, 5, 4, 1, 1, 1], [11, 7, 5, 4, 2, 1], [11, 7, 5, 4, 3], [11, 7, 5, 5, 1, 1], [11, 7, 5, 5, 2], [11, 7, 6, 2, 1, 1, 1, 1], [11, 7, 6, 2, 2, 1, 1], [11, 7, 6, 2, 2, 2], [11, 7, 6, 3, 1, 1, 1], [11, 7, 6, 3, 2, 1], [11, 7, 6, 3, 3], [11, 7, 6, 4, 1, 1], [11, 7, 6, 4, 2], [11, 7, 6, 5, 1], [11, 7, 7, 2, 1, 1, 1], [11, 7, 7, 2, 2, 1], [11, 7, 7, 3, 1, 1], [11, 7, 7, 3, 2], [11, 7, 7, 4, 1], [11, 8, 3, 3, 2, 1, 1, 1], [11, 8, 3, 3, 2, 2, 1], [11, 8, 3, 3, 3, 1, 1], [11, 8, 3, 3, 3, 2], [11, 8, 4, 2, 2, 1, 1, 1], [11, 8, 4, 2, 2, 2, 1], [11, 8, 4, 3, 1, 1, 1, 1], [11, 8, 4, 3, 2, 1, 1], [11, 8, 4, 3, 2, 2], [11, 8, 4, 3, 3, 1], [11, 8, 4, 4, 1, 1, 1], [11, 8, 4, 4, 2, 1], [11, 8, 4, 4, 3], [11, 8, 5, 2, 1, 1, 1, 1], [11, 8, 5, 2, 2, 1, 1], [11, 8, 5, 2, 2, 2], [11, 8, 5, 3, 1, 1, 1], [11, 8, 5, 3, 2, 1], [11, 8, 5, 3, 3], [11, 8, 5, 4, 1, 1], [11, 8, 5, 4, 2], [11, 8, 5, 5, 1], [11, 8, 6, 2, 1, 1, 1], [11, 8, 6, 2, 2, 1], [11, 8, 6, 3, 1, 1], [11, 8, 6, 3, 2], [11, 8, 6, 4, 1], [11, 8, 7, 2, 1, 1], [11, 8, 7, 3, 1], [11, 9, 3, 3, 2, 1, 1], [11, 9, 3, 3, 3, 1], [11, 9, 4, 2, 2, 1, 1], [11, 9, 4, 3, 1, 1, 1], [11, 9, 4, 3, 2, 1], [11, 9, 4, 3, 3], [11, 9, 4, 4, 1, 1], [11, 9, 4, 4, 2], [11, 9, 5, 2, 1, 1, 1], [11, 9, 5, 2, 2, 1], [11, 9, 5, 3, 1, 1], [11, 9, 5, 3, 2], [11, 9, 5, 4, 1], [11, 9, 6, 2, 1, 1], [11, 9, 6, 3, 1]]"}︡{"stdout":"\n"}︡{"done":true}︡
︠e55b2854-ced8-4f71-8752-1697ba4ee884s︠
sdif([3, 2], [3, 3],3,5)
︡c59a470c-27fb-4a06-b75b-45cda064ffcd︡{"stdout":"[[5, 3, 3, 3, 1], [5, 4, 2, 2, 2], [5, 4, 3, 3], [5, 4, 4, 2], [5, 5, 2, 2, 1], [5, 5, 3, 1, 1], [6, 3, 3, 3], [6, 5, 2, 1, 1], [6, 6, 2, 1], [6, 6, 3], [7, 3, 3, 1, 1], [7, 4, 4], [7, 6, 2], [8, 3, 3, 1], [8, 4, 3]]\n"}︡{"done":true}︡
︠bfe609e1-27e4-4c5a-9d8d-1ce5959816f7s︠
#for i in sdif([3, 2], [3, 3],3,5):
#    for st in lrskew(i,[3,2],weight=[5,3,2]):
#        st.pp()
for i in lrskew([5,3,3,3,1],[3,2],weight=[5,3,2]):
    i.pp()
︡723774d4-804e-4364-8401-482f8cd538a1︡{"stdout":"  .  .  .  1  1\n  .  .  1\n  1  1  2\n  2  2  3\n  3\n"}︡{"done":true}︡
︠1f59e0de-8625-4358-b73e-7c788a054b13s︠
s([3,3])*s([5,2,2])
︡ccdfcbc6-55a1-4f44-8ff3-5866a9a47ad1︡{"stdout":"s[5, 3, 3, 2, 2] + s[5, 4, 3, 2, 1] + s[5, 4, 4, 1, 1] + s[5, 5, 3, 2] + s[5, 5, 4, 1] + s[5, 5, 5] + s[6, 3, 2, 2, 2] + s[6, 3, 3, 2, 1] + s[6, 4, 2, 2, 1] + s[6, 4, 3, 1, 1] + s[6, 4, 3, 2] + s[6, 4, 4, 1] + s[6, 5, 2, 2] + s[6, 5, 3, 1] + s[6, 5, 4] + s[7, 3, 2, 2, 1] + s[7, 3, 3, 2] + s[7, 4, 2, 1, 1] + s[7, 4, 2, 2] + s[7, 4, 3, 1] + s[7, 5, 2, 1] + s[7, 5, 3] + s[8, 3, 2, 2] + s[8, 4, 2, 1] + s[8, 5, 2]\n"}︡{"done":true}︡
︠19603c09-7cff-4dda-ad5a-b5b79a3ffe98s︠
for i in lrskew([6,5,3,1],[3,2],weight=[5,3,2]):
    i.pp()
︡9af8e90f-a2db-4cf0-bcef-4fde77bb6b54︡{"stdout":"  .  .  .  1  1  1\n  .  .  1  2  2\n  1  2  3\n  3\n  .  .  .  1  1  1\n  .  .  1  2  2\n  1  3  3\n  2\n  .  .  .  1  1  1\n  .  .  2  2  2\n  1  1  3\n  3\n"}︡{"done":true}︡
︠279f7ac7-6196-40ad-b30f-4b1751210183s︠
for i in lrskew([6,5,3,1],[3,3],weight=[5,2,2]):
    i.pp()
︡2c5b903f-26e1-4bb5-b9cb-6302b7fa2b3b︡{"stdout":"  .  .  .  1  1  1\n  .  .  .  2  2\n  1  1  3\n  3\n"}︡{"done":true}︡
︠42ded7fe-ef02-4961-a954-d2f23a881600s︠
sdif([3, 2, 1], [3, 3, 1],3,5)
︡b4c0bdba-ad90-4221-8b81-7730d83d1556︡{"stdout":"[[4, 3, 3, 3, 1, 1], [4, 4, 2, 2, 2, 1], [4, 4, 4, 3], [5, 5, 2, 1, 1, 1], [6, 3, 3, 1, 1, 1], [6, 6, 2, 1], [6, 6, 3], [7, 3, 3, 1, 1], [7, 4, 4]]\n"}︡{"done":true}︡
︠869587c7-dbbe-4fcd-822d-dd790464af96s︠
supp([3,2,1],3,5)
︡ed6eb803-ab05-4217-a7a6-40c23b13e63a︡{"stdout":"[[4, 3, 3, 2, 2, 1], [4, 3, 3, 3, 1, 1], [4, 3, 3, 3, 2], [4, 4, 2, 2, 2, 1], [4, 4, 3, 2, 1, 1], [4, 4, 3, 2, 2], [4, 4, 3, 3, 1], [4, 4, 4, 1, 1, 1], [4, 4, 4, 2, 1], [4, 4, 4, 3], [5, 3, 2, 2, 2, 1], [5, 3, 3, 2, 1, 1], [5, 3, 3, 2, 2], [5, 3, 3, 3, 1], [5, 4, 2, 2, 1, 1], [5, 4, 2, 2, 2], [5, 4, 3, 1, 1, 1], [5, 4, 3, 2, 1], [5, 4, 3, 3], [5, 4, 4, 1, 1], [5, 4, 4, 2], [5, 5, 2, 1, 1, 1], [5, 5, 2, 2, 1], [5, 5, 3, 1, 1], [5, 5, 3, 2], [5, 5, 4, 1], [5, 5, 5], [6, 3, 2, 2, 1, 1], [6, 3, 2, 2, 2], [6, 3, 3, 1, 1, 1], [6, 3, 3, 2, 1], [6, 3, 3, 3], [6, 4, 2, 1, 1, 1], [6, 4, 2, 2, 1], [6, 4, 3, 1, 1], [6, 4, 3, 2], [6, 4, 4, 1], [6, 5, 2, 1, 1], [6, 5, 2, 2], [6, 5, 3, 1], [6, 5, 4], [6, 6, 2, 1], [6, 6, 3], [7, 3, 2, 2, 1], [7, 3, 3, 1, 1], [7, 3, 3, 2], [7, 4, 2, 1, 1], [7, 4, 2, 2], [7, 4, 3, 1], [7, 4, 4], [7, 5, 2, 1], [7, 5, 3]]\n"}︡{"done":true}︡
︠3552d9e2-f468-458f-bde3-cbced1902883s︠
sdif([4, 2], [4, 3],3,5)
︡c666d3ad-0f2e-48a1-bcec-d9651b161660︡{"stdout":"[[5, 4, 3, 3], [5, 5, 2, 2, 1], [6, 3, 3, 3], [6, 6, 1, 1, 1], [7, 7, 1], [9, 3, 3]]\n"}︡{"done":true}︡
︠32eb07ac-482b-4422-b687-fdb6d7cc6bdfs︠
supp([4,2],3,5)
︡cba368ef-9f92-455a-bba5-8189272582cf︡{"stdout":"[[5, 4, 3, 2, 1], [5, 4, 3, 3], [5, 4, 4, 1, 1], [5, 4, 4, 2], [5, 5, 2, 2, 1], [5, 5, 3, 1, 1], [5, 5, 3, 2], [5, 5, 4, 1], [5, 5, 5], [6, 3, 3, 2, 1], [6, 3, 3, 3], [6, 4, 2, 2, 1], [6, 4, 3, 1, 1], [6, 4, 3, 2], [6, 4, 4, 1], [6, 5, 2, 1, 1], [6, 5, 2, 2], [6, 5, 3, 1], [6, 5, 4], [6, 6, 1, 1, 1], [6, 6, 2, 1], [6, 6, 3], [7, 3, 2, 2, 1], [7, 3, 3, 1, 1], [7, 3, 3, 2], [7, 4, 2, 1, 1], [7, 4, 2, 2], [7, 4, 3, 1], [7, 4, 4], [7, 5, 1, 1, 1], [7, 5, 2, 1], [7, 5, 3], [7, 6, 1, 1], [7, 6, 2], [7, 7, 1], [8, 3, 2, 1, 1], [8, 3, 2, 2], [8, 3, 3, 1], [8, 4, 1, 1, 1], [8, 4, 2, 1], [8, 4, 3], [8, 5, 1, 1], [8, 5, 2], [8, 6, 1], [9, 3, 2, 1], [9, 3, 3], [9, 4, 1, 1], [9, 4, 2], [9, 5, 1]]\n"}︡{"done":true}︡
︠d5f63e26-16ff-48ee-94f3-f004b22dfb46s︠
giv(3,3,1)
︡94f82fcd-83ce-4d0b-a4e7-4a2c028d0d4b︡{"stdout":"[set([[2, 1], [2, 2]])]\n"}︡{"done":true}︡
︠5fad6ad3-b1f0-4150-ac8e-89ba10d38058s︠
sdif([2, 1], [2, 2],3,3)
︡721d7bce-3073-4efd-a020-f690d5d7561d︡{"stdout":"[[3, 2, 2, 2], [3, 3, 1, 1, 1], [4, 4, 1], [5, 2, 2]]\n"}︡{"done":true}︡
︠6dd2938f-4dd1-44fb-b0b5-aebd4eca0eacs︠
giv(3,4,1)
︡5b8e0fe4-289a-48b6-90df-1d520dcb3f2d︡{"stdout":"[]\n"}︡{"done":true}︡
︠26e20134-9146-4297-a2e5-1fc87beec902s︠
giv(3,5,1)
︡7749664a-8935-4f16-8126-2ef41d3639a2︡{"stdout":"[set([[3, 2], [3, 3]]), set([[4, 2], [4, 3]]), set([[3, 3, 1], [3, 2, 1]])]\n"}︡{"done":true}︡
︠9458a5c8-8f96-45ef-8654-95a550976e9ds︠
sdif([3, 2], [3, 3],3,5)
︡d1b3c9cc-f607-413d-bc6c-6818ef67d0d2︡{"stdout":"[[5, 3, 3, 3, 1], [5, 4, 2, 2, 2], [5, 4, 3, 3], [5, 4, 4, 2], [5, 5, 2, 2, 1], [5, 5, 3, 1, 1], [6, 3, 3, 3], [6, 5, 2, 1, 1], [6, 6, 2, 1], [6, 6, 3], [7, 3, 3, 1, 1], [7, 4, 4], [7, 6, 2], [8, 3, 3, 1], [8, 4, 3]]\n"}︡{"done":true}︡
︠178bf162-ca5c-4482-be1a-262065dcddb0s︠
sdif([4,2],[4,3],3,5)
︡8d66b1f1-872d-4697-9850-b417340147ef︡{"stdout":"[[5, 4, 3, 3], [5, 5, 2, 2, 1], [6, 3, 3, 3], [6, 6, 1, 1, 1], [7, 7, 1], [9, 3, 3]]\n"}︡{"done":true}︡
︠5ef90371-13d5-421a-a736-1c2c0f4f35d7s︠
sdif([3,2,1],[3,3,1],3,5)
︡05418ba8-5107-48d8-8779-5a1ec0a140d6︡{"stdout":"[[4, 3, 3, 3, 1, 1], [4, 4, 2, 2, 2, 1], [4, 4, 4, 3], [5, 5, 2, 1, 1, 1], [6, 3, 3, 1, 1, 1], [6, 6, 2, 1], [6, 6, 3], [7, 3, 3, 1, 1], [7, 4, 4]]\n"}︡{"done":true}︡
︠c604c59c-6eb3-46db-9d82-e48f0d410c33s︠
t=sdif([4,2],[4,3],3,5)
for j in t:
    print j, lrcalc.lrcoef(j,[4,2],[5,3,1])
︡77aa88ff-a2c7-43cf-9b52-83f646f90fb3︡{"stdout":"[5, 4, 3, 3] 1\n[5, 5, 2, 2, 1] 1\n[6, 3, 3, 3] 1\n[6, 6, 1, 1, 1] 1\n[7, 7, 1] 1\n[9, 3, 3] 1\n"}︡{"done":true}︡
︠2267c2d1-46b4-4e0c-b50e-4e8a5495a286s︠
for i in giv(3,7,1):
    t=sorted(list(i))
    print t
    sdif(t[0],t[1],3,7)
    print "\n"
︡208b8c3b-1b1d-4455-883f-323529107a6b︡{"stdout":"[[5, 2], [5, 5]]"}︡{"stdout":"\n[[7, 5, 5, 3, 1], [7, 5, 5, 4], [7, 6, 4, 2, 2], [7, 6, 4, 3, 1], [7, 6, 4, 4], [7, 6, 5, 3], [7, 6, 6, 2], [7, 7, 3, 2, 2], [7, 7, 3, 3, 1], [7, 7, 4, 2, 1], [7, 7, 4, 3], [7, 7, 5, 1, 1], [8, 5, 4, 3, 1], [8, 5, 4, 4], [8, 5, 5, 3], [8, 6, 3, 2, 2], [8, 6, 3, 3, 1], [8, 6, 4, 3], [8, 7, 2, 2, 2], [8, 7, 3, 2, 1], [8, 7, 3, 3], [8, 7, 4, 1, 1], [8, 8, 2, 2, 1], [8, 8, 3, 1, 1], [8, 8, 3, 2], [8, 8, 4, 1], [8, 8, 5], [9, 5, 3, 3, 1], [9, 5, 4, 3], [9, 5, 5, 1, 1], [9, 6, 2, 2, 2], [9, 6, 3, 3], [9, 6, 6], [9, 7, 2, 2, 1], [9, 7, 3, 1, 1], [9, 8, 2, 1, 1], [9, 8, 2, 2], [9, 8, 3, 1], [9, 8, 4], [9, 9, 2, 1], [9, 9, 3], [10, 5, 3, 3], [10, 5, 4, 1, 1], [10, 5, 5, 1], [10, 6, 5], [10, 7, 2, 1, 1], [10, 8, 2, 1], [10, 8, 3], [10, 9, 2], [11, 5, 3, 1, 1], [11, 5, 4, 1], [11, 5, 5], [11, 6, 4], [11, 8, 2], [12, 5, 3, 1], [12, 5, 4], [12, 6, 3]]\n\n\n[[4, 3], [4, 4]]\n[[7, 4, 4, 4, 2], [7, 5, 3, 3, 3], [7, 5, 4, 4, 1], [7, 5, 5, 3, 1], [7, 6, 3, 3, 2], [7, 6, 4, 2, 2], [7, 6, 4, 4], [7, 6, 5, 3], [7, 6, 6, 2], [7, 7, 3, 3, 1], [7, 7, 4, 2, 1], [7, 7, 5, 1, 1], [8, 4, 4, 4, 1], [8, 5, 4, 4], [8, 5, 5, 3], [8, 6, 3, 2, 2], [8, 7, 3, 2, 1], [8, 7, 4, 1, 1], [8, 8, 3, 2], [8, 8, 4, 1], [8, 8, 5], [9, 4, 4, 2, 2], [9, 4, 4, 4], [9, 5, 5, 1, 1], [9, 6, 6], [9, 7, 3, 1, 1], [9, 8, 3, 1], [9, 8, 4], [10, 4, 4, 2, 1], [10, 5, 4, 1, 1], [10, 5, 5, 1], [10, 6, 5], [10, 8, 3], [11, 4, 4, 2], [11, 5, 4, 1], [11, 6, 4]]\n\n\n[[5, 2, 1], [6, 2, 2]]\n[[6, 5, 5, 3, 1, 1], [6, 5, 5, 4, 1], [6, 6, 4, 2, 2, 1], [6, 6, 4, 3, 1, 1], [6, 6, 4, 3, 2], [6, 6, 4, 4, 1], [6, 6, 5, 4], [6, 6, 6, 3], [7, 5, 4, 3, 1, 1], [7, 5, 4, 4, 1], [7, 5, 5, 4], [7, 6, 3, 2, 2, 1], [7, 6, 3, 3, 1, 1], [7, 6, 3, 3, 2], [7, 6, 4, 4], [7, 7, 3, 2, 1, 1], [7, 7, 3, 2, 2], [7, 7, 3, 3, 1], [7, 7, 4, 1, 1, 1], [8, 5, 3, 3, 1, 1], [8, 5, 4, 4], [8, 5, 5, 1, 1, 1], [8, 6, 2, 2, 2, 1], [8, 7, 2, 2, 1, 1], [8, 7, 2, 2, 2], [8, 7, 3, 1, 1, 1], [8, 8, 2, 2, 1], [8, 8, 3, 1, 1], [8, 8, 3, 2], [8, 8, 4, 1], [8, 8, 5], [9, 5, 4, 1, 1, 1], [9, 5, 5, 1, 1], [9, 6, 6], [9, 7, 2, 1, 1, 1], [9, 8, 2, 1, 1], [9, 8, 2, 2], [9, 8, 3, 1], [9, 8, 4], [10, 5, 3, 1, 1, 1], [10, 5, 4, 1, 1], [10, 5, 5, 1], [10, 6, 5], [10, 8, 2, 1], [10, 8, 3], [11, 5, 3, 1, 1], [11, 5, 4, 1], [11, 6, 4]]\n\n\n[[6, 3], [6, 4]]\n[[7, 6, 4, 4], [7, 7, 3, 3, 1], [8, 5, 4, 4], [8, 8, 2, 2, 1], [9, 4, 4, 4], [9, 9, 1, 1, 1], [10, 10, 1], [13, 4, 4]]\n\n\n[[5, 3], [5, 4]]\n[[7, 5, 4, 4, 1], [7, 5, 5, 4], [7, 6, 3, 3, 2], [7, 6, 4, 4], [7, 7, 3, 2, 2], [7, 7, 3, 3, 1], [8, 4, 4, 4, 1], [8, 5, 4, 4], [8, 7, 2, 2, 2], [8, 8, 2, 2, 1], [8, 8, 3, 1, 1], [9, 4, 4, 4], [9, 8, 2, 1, 1], [9, 9, 2, 1], [9, 9, 3], [10, 9, 2], [11, 4, 4, 1, 1], [11, 5, 5], [12, 4, 4, 1], [12, 5, 4]]\n\n\n[[4, 3, 1], [4, 4, 1]]\n[[6, 4, 4, 4, 2, 1], [6, 5, 3, 3, 3, 1], [6, 5, 4, 4, 1, 1], [6, 5, 5, 3, 1, 1], [6, 5, 5, 4, 1], [6, 6, 3, 3, 2, 1], [6, 6, 3, 3, 3], [6, 6, 4, 2, 2, 1], [6, 6, 5, 4], [6, 6, 6, 3], [7, 4, 4, 4, 1, 1], [7, 5, 5, 4], [7, 6, 3, 2, 2, 1], [7, 7, 3, 2, 1, 1], [7, 7, 3, 2, 2], [7, 7, 4, 1, 1, 1], [8, 4, 4, 2, 2, 1], [8, 5, 5, 1, 1, 1], [8, 7, 3, 1, 1, 1], [8, 8, 3, 1, 1], [8, 8, 3, 2], [8, 8, 4, 1], [8, 8, 5], [9, 4, 4, 2, 1, 1], [9, 4, 4, 2, 2], [9, 5, 4, 1, 1, 1], [9, 5, 5, 1, 1], [9, 6, 6], [9, 8, 3, 1], [9, 8, 4], [10, 4, 4, 2, 1], [10, 5, 4, 1, 1], [10, 5, 5, 1], [10, 6, 5]]\n\n\n"}︡{"done":true}︡
︠7b23eccd-8645-4c2e-877b-6d5c5ec57858s︠
for i in giv(5,7,2):
    t=sorted(list(i))
    print t
    a=sdif(t[0],t[1],5,7)
    a=rem(a,t[2],5,7)
    a=rem(a,t[3],5,7)
    a
    print "\n"
︡efe7eb4d-d76b-4748-ae6b-99faf06295ef︡{"stdout":"[[6, 5, 2, 1], [6, 5, 5, 1], [6, 6, 2, 2], [7, 5, 2, 1, 1]]"}︡{"stdout":"\n[[7, 6, 6, 5, 5, 4, 1, 1], [7, 6, 6, 5, 5, 4, 2], [7, 6, 6, 6, 4, 2, 2, 2], [7, 6, 6, 6, 4, 3, 2, 1], [7, 6, 6, 6, 4, 3, 3], [7, 6, 6, 6, 4, 4, 2], [7, 6, 6, 6, 6, 4], [7, 7, 5, 5, 5, 3, 1, 1, 1], [7, 7, 5, 5, 5, 3, 3], [7, 7, 5, 5, 5, 4, 1, 1], [7, 7, 5, 5, 5, 4, 2], [7, 7, 6, 5, 4, 4, 1, 1], [7, 7, 6, 5, 4, 4, 2], [7, 7, 6, 6, 3, 2, 2, 1, 1], [7, 7, 6, 6, 3, 2, 2, 2], [7, 7, 6, 6, 3, 3, 2, 1], [7, 7, 6, 6, 3, 3, 3], [7, 7, 6, 6, 5, 4], [7, 7, 7, 4, 4, 2, 2, 2], [7, 7, 7, 4, 4, 3, 1, 1, 1], [7, 7, 7, 4, 4, 3, 3], [7, 7, 7, 4, 4, 4, 1, 1], [7, 7, 7, 4, 4, 4, 2], [7, 7, 7, 5, 3, 2, 2, 1, 1], [7, 7, 7, 5, 3, 2, 2, 2], [7, 7, 7, 5, 3, 3, 1, 1, 1], [7, 7, 7, 5, 3, 3, 2, 1], [7, 7, 7, 5, 3, 3, 3], [7, 7, 7, 5, 5, 4], [7, 7, 7, 6, 3, 2, 2, 1], [7, 7, 7, 6, 3, 3, 2], [7, 7, 7, 7, 3, 1, 1, 1, 1], [7, 7, 7, 7, 3, 2, 2], [8, 6, 5, 5, 5, 3, 1, 1, 1], [8, 6, 5, 5, 5, 4, 2], [8, 6, 6, 5, 4, 4, 1, 1], [8, 6, 6, 5, 4, 4, 2], [8, 6, 6, 6, 3, 2, 2, 1, 1], [8, 6, 6, 6, 3, 2, 2, 2], [8, 6, 6, 6, 3, 3, 2, 1], [8, 6, 6, 6, 3, 3, 3], [8, 6, 6, 6, 5, 4], [8, 7, 5, 5, 4, 4, 1, 1], [8, 7, 5, 5, 4, 4, 2], [8, 7, 6, 4, 4, 3, 1, 1, 1], [8, 7, 6, 4, 4, 4, 2], [8, 7, 6, 5, 4, 4, 1], [8, 7, 6, 6, 2, 2, 2, 1, 1], [8, 7, 6, 6, 2, 2, 2, 2], [8, 7, 7, 4, 3, 2, 2, 2], [8, 7, 7, 4, 3, 3, 1, 1, 1], [8, 7, 7, 4, 3, 3, 3], [8, 7, 7, 5, 2, 2, 2, 1, 1], [8, 7, 7, 5, 2, 2, 2, 2], [8, 7, 7, 6, 2, 2, 1, 1, 1], [8, 7, 7, 7, 2, 1, 1, 1, 1], [8, 7, 7, 7, 2, 2, 2], [8, 8, 5, 4, 4, 3, 1, 1, 1], [8, 8, 5, 4, 4, 3, 3], [8, 8, 5, 4, 4, 4, 1, 1], [8, 8, 5, 4, 4, 4, 2], [8, 8, 5, 5, 4, 4, 1], [8, 8, 5, 5, 5, 4], [8, 8, 6, 4, 4, 4, 1], [8, 8, 6, 5, 2, 2, 2, 2], [8, 8, 6, 6, 2, 2, 1, 1, 1], [8, 8, 7, 3, 3, 2, 2, 2], [8, 8, 7, 3, 3, 3, 1, 1, 1], [8, 8, 7, 3, 3, 3, 3], [8, 8, 7, 4, 2, 2, 2, 1, 1], [8, 8, 7, 4, 2, 2, 2, 2], [8, 8, 7, 5, 2, 2, 1, 1, 1], [8, 8, 7, 6, 2, 1, 1, 1, 1], [8, 8, 7, 6, 2, 2, 2], [8, 8, 7, 7, 2, 2, 1], [8, 8, 8, 3, 3, 2, 2, 1], [8, 8, 8, 3, 3, 3, 2], [8, 8, 8, 4, 2, 2, 1, 1, 1], [8, 8, 8, 4, 2, 2, 2, 1], [8, 8, 8, 5, 2, 1, 1, 1, 1], [8, 8, 8, 5, 2, 2, 2], [8, 8, 8, 6, 2, 2, 1], [8, 8, 8, 7, 2, 2], [8, 8, 8, 8, 2, 1], [8, 8, 8, 8, 3], [9, 6, 5, 5, 4, 4, 1, 1], [9, 6, 5, 5, 4, 4, 2], [9, 6, 6, 4, 4, 2, 2, 1, 1], [9, 6, 6, 4, 4, 2, 2, 2], [9, 6, 6, 4, 4, 3, 2, 1], [9, 6, 6, 4, 4, 3, 3], [9, 6, 6, 4, 4, 4, 2], [9, 6, 6, 5, 4, 4, 1], [9, 6, 6, 6, 2, 2, 2, 1, 1], [9, 6, 6, 6, 2, 2, 2, 2], [9, 7, 5, 4, 4, 3, 1, 1, 1], [9, 7, 5, 4, 4, 4, 2], [9, 7, 5, 5, 4, 4, 1], [9, 7, 6, 4, 3, 3, 1, 1, 1], [9, 7, 6, 5, 4, 4], [9, 7, 7, 3, 3, 2, 2, 1, 1], [9, 7, 7, 3, 3, 2, 2, 2], [9, 7, 7, 3, 3, 3, 1, 1, 1], [9, 7, 7, 3, 3, 3, 2, 1], [9, 7, 7, 3, 3, 3, 3], [9, 7, 7, 4, 2, 2, 2, 2], [9, 7, 7, 7, 1, 1, 1, 1, 1], [9, 8, 5, 4, 4, 4, 1], [9, 8, 6, 3, 3, 3, 1, 1, 1], [9, 8, 7, 3, 2, 2, 2, 2], [9, 8, 7, 7, 1, 1, 1, 1], [9, 8, 8, 3, 2, 2, 2, 1], [9, 8, 8, 4, 2, 1, 1, 1, 1], [9, 8, 8, 5, 1, 1, 1, 1, 1], [9, 8, 8, 7, 1, 1, 1], [9, 8, 8, 8, 1, 1], [9, 8, 8, 8, 2], [9, 9, 5, 3, 3, 3, 1, 1, 1], [9, 9, 5, 3, 3, 3, 3], [9, 9, 5, 4, 4, 4], [9, 9, 7, 2, 2, 2, 2, 2], [9, 9, 7, 6, 1, 1, 1, 1], [9, 9, 8, 2, 2, 2, 2, 1], [9, 9, 8, 4, 1, 1, 1, 1, 1], [9, 9, 8, 6, 1, 1, 1], [9, 9, 8, 7, 2], [9, 9, 9, 2, 2, 2, 2], [9, 9, 9, 3, 2, 2, 1], [9, 9, 9, 3, 3, 2], [9, 9, 9, 4, 1, 1, 1, 1], [9, 9, 9, 4, 2, 2], [9, 9, 9, 4, 4], [9, 9, 9, 5, 1, 1, 1], [9, 9, 9, 5, 3], [9, 9, 9, 6, 1, 1], [9, 9, 9, 6, 2], [10, 6, 5, 5, 4, 4, 1], [10, 6, 5, 5, 5, 4], [10, 6, 6, 4, 3, 2, 2, 2], [10, 6, 6, 4, 3, 3, 2, 1], [10, 6, 6, 4, 3, 3, 3], [10, 6, 6, 4, 4, 2, 2, 1], [10, 6, 6, 4, 4, 3, 2], [10, 6, 6, 5, 4, 4], [10, 7, 5, 4, 4, 4, 1], [10, 7, 6, 3, 3, 2, 2, 1, 1], [10, 7, 6, 3, 3, 2, 2, 2], [10, 7, 6, 3, 3, 3, 2, 1], [10, 7, 6, 3, 3, 3, 3], [10, 7, 7, 3, 2, 2, 2, 1, 1], [10, 7, 7, 3, 2, 2, 2, 2], [10, 7, 7, 3, 3, 2, 2, 1], [10, 7, 7, 3, 3, 3, 2], [10, 8, 5, 4, 4, 4], [10, 8, 7, 2, 2, 2, 2, 1, 1], [10, 8, 7, 2, 2, 2, 2, 2], [10, 8, 8, 2, 2, 2, 1, 1, 1], [10, 8, 8, 2, 2, 2, 2, 1], [10, 8, 8, 4, 1, 1, 1, 1, 1], [10, 8, 8, 8, 1], [10, 9, 8, 3, 1, 1, 1, 1, 1], [10, 9, 9, 2, 2, 2, 1], [10, 9, 9, 3, 2, 1, 1], [10, 9, 9, 3, 3, 1], [10, 9, 9, 4, 2, 1], [10, 9, 9, 5, 1, 1], [10, 9, 9, 6, 1], [10, 10, 5, 5, 5], [10, 10, 8, 6, 1], [10, 10, 9, 2, 2, 1, 1], [10, 10, 9, 3, 1, 1, 1], [10, 10, 9, 3, 3], [10, 10, 9, 4, 2], [10, 10, 9, 5, 1], [11, 6, 5, 5, 4, 4], [11, 6, 6, 4, 2, 2, 2, 1, 1], [11, 6, 6, 4, 2, 2, 2, 2], [11, 6, 6, 4, 3, 2, 2, 1], [11, 6, 6, 4, 3, 3, 2], [11, 6, 6, 4, 4, 2, 1, 1], [11, 6, 6, 4, 4, 3, 1], [11, 6, 6, 4, 4, 4], [11, 6, 6, 6, 6], [11, 7, 5, 4, 4, 4], [11, 7, 6, 3, 2, 2, 2, 2], [11, 7, 6, 3, 3, 2, 2, 1], [11, 7, 6, 3, 3, 3, 2], [11, 7, 7, 3, 2, 2, 2, 1], [11, 7, 7, 3, 3, 2, 1, 1], [11, 7, 7, 3, 3, 3, 1], [11, 8, 6, 2, 2, 2, 2, 2], [11, 8, 7, 2, 2, 2, 2, 1], [11, 8, 8, 2, 2, 1, 1, 1, 1], [11, 8, 8, 2, 2, 2, 2], [11, 8, 8, 3, 1, 1, 1, 1, 1], [11, 9, 8, 2, 1, 1, 1, 1, 1], [11, 9, 9, 2, 1, 1, 1, 1], [11, 9, 9, 2, 2, 2], [11, 9, 9, 3, 2, 1], [11, 9, 9, 4, 1, 1], [11, 9, 9, 5, 1], [11, 10, 5, 5, 1, 1, 1, 1], [11, 10, 9, 2, 1, 1, 1], [11, 10, 9, 3, 1, 1], [11, 10, 9, 4, 1], [11, 11, 5, 3, 1, 1, 1, 1, 1], [11, 11, 5, 4, 4], [11, 11, 6, 6, 1], [11, 11, 9, 2, 2], [12, 6, 5, 5, 4, 1, 1, 1], [12, 6, 5, 5, 5, 2], [12, 6, 6, 4, 2, 2, 2, 1], [12, 6, 6, 4, 3, 2, 1, 1], [12, 6, 6, 4, 3, 3, 1], [12, 6, 6, 4, 4, 2, 1], [12, 6, 6, 4, 4, 3], [12, 6, 6, 6, 5], [12, 7, 5, 4, 4, 1, 1, 1], [12, 7, 6, 3, 2, 2, 1, 1, 1], [12, 7, 6, 3, 3, 1, 1, 1, 1], [12, 7, 6, 3, 3, 2, 2], [12, 7, 6, 5, 5], [12, 7, 7, 3, 2, 2, 1, 1], [12, 7, 7, 3, 3, 1, 1, 1], [12, 7, 7, 3, 3, 3], [12, 8, 5, 3, 3, 1, 1, 1, 1], [12, 8, 5, 5, 5], [12, 8, 6, 2, 2, 2, 2, 1], [12, 8, 7, 2, 2, 2, 1, 1], [12, 8, 7, 3, 1, 1, 1, 1, 1], [12, 8, 8, 2, 2, 2, 1], [12, 9, 5, 4, 1, 1, 1, 1, 1], [12, 9, 7, 2, 1, 1, 1, 1, 1], [12, 9, 9, 2, 1, 1, 1], [12, 9, 9, 2, 2, 1], [12, 9, 9, 3, 1, 1], [12, 9, 9, 3, 2], [12, 9, 9, 4, 1], [12, 10, 5, 4, 1, 1, 1, 1], [12, 10, 6, 6, 1], [12, 10, 9, 2, 1, 1], [12, 10, 9, 2, 2], [12, 10, 9, 3, 1], [12, 11, 5, 4, 1, 1, 1], [12, 11, 5, 5, 2], [12, 12, 5, 3, 1, 1, 1], [12, 12, 5, 3, 3], [12, 12, 5, 4, 1, 1], [12, 12, 5, 4, 2], [12, 12, 6, 4, 1], [13, 6, 5, 5, 4, 1, 1], [13, 6, 5, 5, 4, 2], [13, 6, 6, 4, 2, 2, 2], [13, 6, 6, 4, 3, 2, 1], [13, 6, 6, 4, 3, 3], [13, 6, 6, 4, 4, 2], [13, 6, 6, 6, 4], [13, 7, 5, 4, 4, 1, 1], [13, 7, 5, 4, 4, 2], [13, 7, 6, 3, 2, 2, 1, 1], [13, 7, 6, 3, 2, 2, 2], [13, 7, 6, 3, 3, 2, 1], [13, 7, 6, 3, 3, 3], [13, 7, 6, 5, 4], [13, 7, 7, 3, 2, 2, 1], [13, 7, 7, 3, 3, 2], [13, 7, 7, 4, 4], [13, 8, 5, 4, 4, 1], [13, 8, 5, 5, 4], [13, 8, 6, 2, 2, 2, 2], [13, 8, 7, 2, 2, 1, 1, 1], [13, 8, 7, 3, 1, 1, 1, 1], [13, 8, 8, 2, 2, 2], [13, 8, 8, 3, 2, 1], [13, 8, 8, 4, 1, 1], [13, 8, 8, 5, 1], [13, 9, 5, 4, 4], [13, 9, 6, 6, 1], [13, 9, 8, 2, 1, 1, 1], [13, 9, 8, 3, 1, 1], [13, 9, 8, 4, 1], [13, 10, 5, 4, 1, 1, 1], [13, 10, 5, 5, 2], [13, 10, 8, 2, 1, 1], [13, 10, 8, 2, 2], [13, 11, 5, 3, 1, 1, 1], [13, 11, 5, 4, 2]]"}︡{"stdout":"\n\n\n[[6, 4, 3, 2], [6, 4, 4, 2], [6, 5, 3, 3], [7, 4, 3, 2, 1]]\n[[7, 6, 5, 5, 3, 3, 3, 2, 1], [7, 6, 5, 5, 3, 3, 3, 3], [7, 6, 5, 5, 5, 5, 1, 1], [7, 6, 6, 6, 5, 5], [7, 7, 4, 4, 4, 4, 2, 2, 1], [7, 7, 4, 4, 4, 4, 4, 1], [7, 7, 6, 3, 3, 3, 3, 2, 1], [7, 7, 6, 3, 3, 3, 3, 3], [7, 7, 6, 6, 2, 2, 2, 2, 1], [7, 7, 7, 3, 3, 3, 3, 1, 1], [7, 7, 7, 7, 2, 2, 1, 1, 1], [8, 5, 5, 4, 4, 4, 2, 2, 1], [8, 5, 5, 5, 3, 3, 3, 3], [8, 5, 5, 5, 5, 5, 1, 1], [8, 6, 5, 4, 4, 4, 4], [8, 7, 7, 7, 2, 1, 1, 1, 1], [8, 8, 7, 7, 1, 1, 1, 1, 1], [8, 8, 8, 3, 2, 2, 2, 2], [8, 8, 8, 8, 1, 1, 1], [8, 8, 8, 8, 3], [9, 5, 5, 4, 4, 4, 4], [9, 8, 8, 8, 1, 1], [9, 9, 4, 4, 2, 2, 2, 2, 1], [9, 9, 8, 4, 1, 1, 1, 1, 1], [9, 9, 8, 8, 1], [9, 9, 9, 4, 1, 1, 1, 1], [10, 5, 5, 3, 3, 3, 3, 3], [10, 8, 8, 8, 1], [10, 9, 4, 4, 2, 2, 2, 2], [10, 10, 4, 4, 2, 2, 1, 1, 1], [10, 10, 5, 5, 1, 1, 1, 1, 1], [10, 10, 9, 3, 3], [10, 10, 9, 4, 2], [11, 5, 5, 3, 3, 3, 2, 2, 1], [11, 5, 5, 3, 3, 3, 3, 2], [11, 6, 6, 3, 2, 2, 2, 2, 1], [11, 7, 4, 4, 2, 2, 2, 2, 1], [11, 8, 4, 4, 2, 2, 2, 2], [11, 9, 4, 4, 2, 2, 2, 1], [11, 10, 4, 4, 2, 2, 1, 1], [11, 10, 5, 5, 1, 1, 1, 1], [11, 11, 4, 4, 2, 2, 1], [11, 11, 4, 4, 4, 1], [11, 11, 5, 4, 4], [11, 11, 5, 5, 1, 1, 1], [11, 11, 6, 6, 1], [12, 5, 4, 4, 4, 2, 2, 2], [12, 5, 5, 3, 3, 3, 2, 2], [12, 5, 5, 5, 4, 1, 1, 1, 1], [12, 6, 6, 3, 2, 2, 2, 1, 1], [12, 6, 6, 6, 5], [12, 7, 4, 4, 2, 2, 2, 2], [12, 7, 7, 4, 1, 1, 1, 1, 1], [12, 8, 4, 4, 2, 2, 2, 1], [12, 9, 4, 4, 2, 2, 1, 1], [12, 9, 5, 5, 1, 1, 1, 1], [12, 10, 5, 4, 4], [12, 10, 6, 6, 1], [13, 5, 5, 3, 3, 3, 2, 1], [13, 5, 5, 3, 3, 3, 3], [13, 5, 5, 5, 5, 1, 1], [13, 6, 6, 5, 5], [13, 7, 4, 4, 2, 2, 2, 1], [13, 7, 7, 4, 1, 1, 1, 1], [13, 8, 4, 4, 2, 2, 2], [13, 8, 8, 3, 2, 1], [13, 8, 8, 3, 3], [13, 8, 8, 4, 2], [13, 9, 4, 4, 2, 2, 1], [13, 9, 5, 4, 4], [13, 9, 6, 6, 1]]"}︡{"stdout":"\n\n\n[[5, 4, 3, 2], [5, 4, 4, 2], [5, 5, 3, 3], [5, 5, 4, 3]]\n[[7, 5, 5, 4, 4, 4, 4, 2], [7, 5, 5, 5, 3, 3, 3, 3, 1], [7, 5, 5, 5, 5, 4, 4], [7, 5, 5, 5, 5, 5, 1, 1, 1], [7, 5, 5, 5, 5, 5, 3], [7, 6, 4, 4, 4, 4, 2, 2, 2], [7, 6, 4, 4, 4, 4, 4, 1, 1], [7, 6, 4, 4, 4, 4, 4, 2], [7, 6, 5, 5, 4, 4, 4], [7, 6, 6, 3, 3, 3, 3, 3, 1], [7, 6, 6, 6, 2, 2, 2, 2, 2], [7, 6, 6, 6, 5, 5], [7, 6, 6, 6, 6, 4], [7, 7, 4, 4, 4, 4, 4, 1], [7, 7, 5, 3, 3, 3, 3, 2, 2], [7, 7, 5, 3, 3, 3, 3, 3, 1], [7, 7, 5, 4, 4, 4, 4], [7, 7, 6, 3, 3, 3, 3, 2, 1], [7, 7, 6, 3, 3, 3, 3, 3], [7, 7, 7, 3, 3, 3, 2, 2, 1], [7, 7, 7, 3, 3, 3, 3, 2], [7, 7, 7, 4, 2, 2, 2, 2, 2], [7, 7, 7, 7, 2, 2, 1, 1, 1], [7, 7, 7, 7, 3, 1, 1, 1, 1], [8, 5, 4, 4, 4, 4, 4, 2], [8, 5, 5, 5, 4, 4, 4], [8, 6, 5, 4, 4, 4, 4], [8, 7, 4, 4, 4, 4, 4], [8, 7, 7, 7, 2, 1, 1, 1, 1], [8, 8, 6, 3, 2, 2, 2, 2, 2], [8, 8, 8, 3, 2, 2, 2, 1, 1], [8, 8, 8, 3, 2, 2, 2, 2], [8, 8, 8, 4, 2, 2, 1, 1, 1], [8, 8, 8, 5, 2, 1, 1, 1, 1], [8, 8, 8, 8, 2, 1], [8, 8, 8, 8, 3], [9, 5, 5, 3, 3, 3, 3, 3, 1], [9, 6, 4, 4, 4, 4, 4], [9, 8, 4, 4, 2, 2, 2, 2, 2], [9, 8, 8, 3, 3, 1, 1, 1, 1], [9, 8, 8, 8, 2], [9, 9, 4, 4, 2, 2, 2, 2, 1], [9, 9, 7, 3, 2, 2, 1, 1, 1], [9, 9, 7, 3, 3, 1, 1, 1, 1], [9, 9, 7, 4, 2, 1, 1, 1, 1], [9, 9, 8, 3, 3, 1, 1, 1], [9, 9, 9, 3, 2, 2, 1], [9, 9, 9, 3, 3, 1, 1], [9, 9, 9, 4, 2, 1, 1], [9, 9, 9, 4, 3, 1], [9, 9, 9, 4, 4], [9, 9, 9, 5, 3], [9, 9, 9, 6, 2], [10, 5, 4, 4, 4, 4, 4], [10, 5, 5, 3, 3, 3, 3, 2, 1], [10, 5, 5, 3, 3, 3, 3, 3], [10, 5, 5, 5, 5, 5], [10, 7, 4, 4, 2, 2, 2, 2, 2], [10, 9, 4, 4, 2, 2, 2, 1, 1], [10, 9, 4, 4, 4, 1, 1, 1, 1], [10, 9, 5, 5, 2, 1, 1, 1, 1], [10, 9, 9, 3, 3, 1], [10, 9, 9, 4, 3], [10, 10, 4, 4, 2, 2, 2, 1], [10, 10, 4, 4, 4, 1, 1, 1], [10, 10, 5, 5, 2, 1, 1, 1], [10, 10, 5, 5, 5], [10, 10, 8, 3, 2, 2], [10, 10, 8, 3, 3, 1], [10, 10, 8, 4, 2, 1], [10, 10, 8, 4, 3], [10, 10, 8, 5, 2], [11, 5, 5, 3, 3, 3, 2, 2, 1], [11, 5, 5, 3, 3, 3, 3, 1, 1], [11, 5, 5, 5, 5, 1, 1, 1, 1], [11, 6, 6, 6, 6], [11, 7, 7, 3, 2, 2, 1, 1, 1], [11, 7, 7, 3, 3, 1, 1, 1, 1], [11, 8, 4, 4, 2, 2, 2, 1, 1], [11, 8, 5, 5, 2, 1, 1, 1, 1], [11, 9, 5, 5, 2, 1, 1, 1], [11, 10, 4, 4, 2, 2, 2], [11, 10, 4, 4, 4, 1, 1], [11, 10, 4, 4, 4, 2], [11, 10, 5, 4, 4, 1], [11, 10, 5, 5, 2, 1, 1], [11, 10, 5, 5, 4], [11, 10, 6, 4, 4], [11, 10, 6, 6, 2], [12, 5, 4, 4, 4, 4, 2], [12, 5, 5, 3, 3, 3, 3, 1], [12, 5, 5, 5, 4, 4], [12, 5, 5, 5, 5, 1, 1, 1], [12, 5, 5, 5, 5, 3], [12, 6, 5, 4, 4, 4], [12, 6, 6, 6, 5], [12, 7, 4, 4, 4, 4], [12, 7, 7, 3, 3, 1, 1, 1], [12, 8, 4, 4, 2, 2, 2, 1], [12, 8, 5, 5, 5], [12, 8, 8, 3, 3, 1], [12, 8, 8, 4, 3], [12, 9, 4, 4, 2, 2, 2], [12, 9, 4, 4, 4, 2], [12, 9, 6, 4, 4]]"}︡{"stdout":"\n\n\n[[6, 5, 3, 1], [6, 5, 4, 1], [6, 6, 3, 2], [7, 5, 3, 1, 1]]\n[[7, 6, 6, 5, 5, 5, 1], [7, 6, 6, 6, 3, 3, 2, 2], [7, 6, 6, 6, 5, 5], [7, 7, 5, 5, 4, 4, 1, 1, 1], [7, 7, 5, 5, 4, 4, 3], [7, 7, 5, 5, 5, 5, 1], [7, 7, 6, 5, 5, 5], [7, 7, 7, 4, 3, 3, 2, 2], [7, 7, 7, 6, 2, 2, 2, 2], [7, 7, 7, 7, 2, 2, 1, 1, 1], [8, 6, 5, 5, 4, 4, 1, 1, 1], [8, 6, 6, 4, 4, 4, 1, 1, 1], [8, 7, 5, 4, 4, 4, 1, 1, 1], [8, 7, 7, 3, 3, 3, 2, 2], [8, 8, 4, 4, 4, 4, 1, 1, 1], [8, 8, 4, 4, 4, 4, 3], [8, 8, 7, 7, 1, 1, 1, 1, 1], [8, 8, 8, 3, 2, 2, 2, 2], [8, 8, 8, 7, 1, 1, 1, 1], [8, 8, 8, 8, 1, 1, 1], [9, 6, 5, 5, 5, 5], [9, 8, 8, 2, 2, 2, 2, 1, 1], [9, 8, 8, 2, 2, 2, 2, 2], [9, 9, 8, 8, 1], [9, 9, 9, 3, 1, 1, 1, 1, 1], [10, 6, 6, 3, 3, 3, 2, 1, 1], [10, 6, 6, 3, 3, 3, 2, 2], [10, 10, 10, 2, 1, 1, 1], [10, 10, 10, 3, 1, 1], [10, 10, 10, 4, 1], [11, 6, 6, 3, 3, 2, 2, 2], [11, 6, 6, 3, 3, 3, 2, 1], [11, 7, 7, 2, 2, 2, 2, 1, 1], [11, 7, 7, 2, 2, 2, 2, 2], [11, 10, 10, 2, 2], [11, 11, 4, 4, 1, 1, 1, 1, 1], [12, 6, 6, 3, 3, 2, 1, 1, 1], [12, 6, 6, 3, 3, 3, 1, 1], [12, 7, 4, 4, 4, 1, 1, 1, 1], [12, 7, 7, 2, 2, 2, 2, 1], [12, 10, 4, 4, 1, 1, 1, 1, 1], [12, 12, 4, 4, 1, 1, 1], [12, 12, 4, 4, 3], [12, 12, 5, 5, 1], [13, 6, 5, 5, 5, 1], [13, 6, 6, 3, 3, 2, 2], [13, 6, 6, 5, 5], [13, 7, 5, 5, 5], [13, 7, 7, 2, 2, 2, 2], [13, 9, 9, 2, 1, 1], [13, 9, 9, 2, 2], [13, 10, 4, 4, 1, 1, 1, 1], [13, 11, 5, 5, 1]]"}︡{"stdout":"\n\n\n[[5, 4, 3, 2, 1], [5, 4, 4, 2, 1], [5, 5, 3, 3, 1], [6, 4, 3, 2, 2]]\n[[6, 5, 5, 5, 3, 3, 3, 2, 2, 1], [6, 5, 5, 5, 3, 3, 3, 3, 1, 1], [6, 5, 5, 5, 5, 5, 1, 1, 1, 1], [6, 6, 4, 4, 4, 4, 2, 2, 2, 1], [6, 6, 4, 4, 4, 4, 4, 1, 1, 1], [6, 6, 6, 3, 3, 3, 3, 3, 1, 1], [6, 6, 6, 6, 2, 2, 2, 2, 2, 1], [6, 6, 6, 6, 6, 5], [7, 7, 7, 3, 2, 2, 2, 2, 2, 1], [7, 7, 7, 7, 2, 1, 1, 1, 1, 1], [8, 5, 5, 3, 3, 3, 3, 3, 1, 1], [8, 8, 4, 4, 2, 2, 2, 2, 2, 1], [8, 8, 8, 3, 3, 1, 1, 1, 1, 1], [8, 8, 8, 8, 2, 1], [8, 8, 8, 8, 3], [9, 5, 5, 3, 3, 3, 2, 2, 2, 1], [9, 5, 5, 3, 3, 3, 3, 2, 2], [9, 6, 6, 3, 2, 2, 2, 2, 2, 1], [9, 8, 4, 4, 2, 2, 2, 2, 1, 1], [9, 9, 4, 4, 2, 2, 2, 1, 1, 1], [9, 9, 4, 4, 4, 1, 1, 1, 1, 1], [9, 9, 5, 5, 2, 1, 1, 1, 1, 1], [9, 9, 9, 3, 3, 1, 1], [9, 9, 9, 4, 2, 1, 1], [9, 9, 9, 4, 3, 1], [9, 9, 9, 4, 4], [9, 9, 9, 5, 3], [10, 5, 4, 4, 4, 2, 2, 2, 2], [10, 5, 5, 3, 3, 3, 2, 2, 2], [10, 5, 5, 3, 3, 3, 3, 1, 1, 1], [10, 5, 5, 3, 3, 3, 3, 3], [10, 5, 5, 5, 5, 1, 1, 1, 1, 1], [10, 6, 6, 3, 2, 2, 2, 2, 2], [10, 7, 4, 4, 2, 2, 2, 2, 2], [10, 7, 7, 3, 3, 1, 1, 1, 1, 1], [10, 8, 4, 4, 2, 2, 2, 1, 1, 1], [10, 8, 5, 5, 2, 1, 1, 1, 1, 1], [10, 9, 4, 4, 2, 2, 2, 2], [10, 10, 4, 4, 2, 2, 2, 1], [10, 10, 4, 4, 4, 1, 1, 1], [10, 10, 5, 5, 2, 1, 1, 1], [10, 10, 5, 5, 5], [10, 10, 6, 6, 2, 1], [10, 10, 6, 6, 3], [11, 5, 5, 3, 3, 3, 2, 2, 1], [11, 5, 5, 3, 3, 3, 3, 1, 1], [11, 5, 5, 5, 5, 1, 1, 1, 1], [11, 6, 6, 6, 6], [11, 7, 7, 3, 2, 2, 1, 1, 1], [11, 7, 7, 3, 3, 1, 1, 1, 1], [11, 8, 4, 4, 2, 2, 2, 1, 1], [11, 8, 5, 5, 2, 1, 1, 1, 1], [11, 8, 8, 3, 3, 1, 1], [11, 8, 8, 4, 2, 1, 1], [11, 8, 8, 4, 3, 1], [11, 8, 8, 4, 4], [11, 8, 8, 5, 3], [11, 9, 5, 5, 2, 1, 1, 1], [11, 9, 6, 6, 3]]"}︡{"stdout":"\n\n\n"}︡{"done":true}︡
︠13ee2a29-9a71-4b15-a9a3-e4dbe46ab26es︠
sdif([6,3],[6,4],3,7)
︡b0090bef-2977-417d-99c4-e6715f1d75c1︡{"stdout":"[[7, 6, 4, 4], [7, 7, 3, 3, 1], [8, 5, 4, 4], [8, 8, 2, 2, 1], [9, 4, 4, 4], [9, 9, 1, 1, 1], [10, 10, 1], [13, 4, 4]]\n"}︡{"done":true}︡
︠2da91b83-0803-457a-8681-4933d4e3eafbs︠
li(2,2)
︡70d5203f-ea4d-4e4c-a201-414ab854a3ec︡{"stdout":"[[1], [2], [1, 1]]\n"}︡{"done":true}︡
︠9198a64a-c276-4c38-b56e-bff78f58f19cs︠
li(2,3)
︡0bc3e475-c018-4915-b484-4d1a6c101c2b︡{"stdout":"[[1], [2], [1, 1], [3], [2, 1]]\n"}︡{"done":true}︡
︠7e083b12-3bd2-4f61-9d84-fdae981676ccs︠
sdif([2,1],[1],3,3)
︡14cf905e-41d5-4ad0-ab4f-25486e0af8c1︡{"stdout":"[[3, 2, 2, 1, 1], [3, 2, 2, 2], [3, 3, 1, 1, 1], [4, 2, 1, 1, 1], [4, 2, 2, 1], [4, 3, 1, 1], [4, 4, 1], [5, 2, 1, 1], [5, 2, 2], [5, 3, 1]]\n"}︡{"done":true}︡
︠8b938ed4-c79b-4849-955e-954f371af502s︠
for i in lrskew([6,4,4,1],[4,3],weight=[5,2,1]):
    i.pp()
︡b4ab50cc-fdf2-4c9d-a9b1-20ffeb76b40e︡{"stdout":"  .  .  .  .  1  1\n  .  .  .  1\n  1  1  2  2\n  3\n  .  .  .  .  1  1\n  .  .  .  2\n  1  1  1  3\n  2\n"}︡{"done":true}︡
︠781e06d4-ee04-45cc-a7d7-23842ef44965s︠
for i in lrskew([6,4,4,1],[4,2],weight=[5,3,1]):
    i.pp()
︡bda2b258-127c-434e-b68e-e84dc62f9bed︡{"stdout":"  .  .  .  .  1  1\n  .  .  1  1\n  1  2  2  2\n  3\n  .  .  .  .  1  1\n  .  .  1  2\n  1  1  2  3\n  2\n"}︡{"done":true}︡
︠bf5b14d3-079e-4c71-a8a5-dee1d4d0b958s︠
︡94825d64-2dd0-4c01-abfd-c149f4bde76b︡{"done":true}︡
︠eddb4914-6eb6-4ac9-8817-d4a33b5d7678︠









